<?php 
// /HEADER SETTINGS IN CUSTOMIZER
  $lvl1ParentPanel = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel1', array(
    'title' => 'General Settings',
    'priority' => 1,
  )); 
 
  $wp_customize->add_panel( $lvl1ParentPanel );

  $lvl2ParentPanel = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel2', array(
    'title' => 'Header',
    'panel' => 'peccular_header_panel1',
    'priority' => 1,
  ));  

  $wp_customize->add_panel( $lvl2ParentPanel );

  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test',
    'panel' => 'peccular_header_panel2',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_header_section' , array(
        'title'    => __( 'All Settings', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel2'
    ) );

    $wp_customize->add_setting('peccular_allsetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_allsetting_nav', array(
       'section' => 'peccular_header_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_show_sticky_header',
                'peccular_header_style',
                'peccular_header_actopbutton_text',
                'peccular_header_actop2regbutton_text',
                'peccular_header_width',      
                'peccular_Topheader_sbutton_enable',          
                'peccular_header_sbutton_enable',
                'peccular_header_acbutton_text',
            ),
            'active' => true,
         ), 
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(  
                'peccular_topHeaderColor_lbl',
                'Topheader_bgColor1',
                'socialIcon_bgColor1',
                'socialIcon_iconColor',
                'socialIcon_iconHoverColor',
                'socialIcon_iconhoverBGColor',
                'button1_Color',
                'button2_Color',
                'button2border_Color',
                'peccular_bottomHeaderColor_lbl',
                'bottomheader_bgColor',
                'header_stickybgColor',
                'header_SiteTitleColor',
                'header_SiteTaglineColor',              
                'header_btnbgColor',
                'header_btnborderColor',
                'header_btntextColor',
                'header_btniconColor',
                'header_btnhvbgColor',
                'header_btnhvtextColor',
                'header_cartbtnbgcolor',
                'header_cartbtniconcolor', 
                'header_cartbtncounterbgcolor',
                'header_cartbtncountrtxtColor',
                'header_searchFormIconColor',
                'header_searchFormIconBGColor',
                'header_searchFormtxtfldColor',
                'header_searchFormtxtfldBGColor',
                'header_searchFormtxtfldBorderColor',
                'header_searchFormtxtfldplaceholderColor',
                'header_searchFormcameraIconColor'                
            ),
         )  
        ), 
    )));

    $wp_customize->add_setting( 'peccular_show_sticky_header',array(
        'default' => false,
        'sanitize_callback' => 'peccular_switch_sanitization'
   ) );
   $wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_show_sticky_header',array(
        'label' => __( 'Show Sticky Header','peccular' ),
        'section' => 'peccular_header_section'
   )));

    $wp_customize->add_setting('peccular_header_style',array(
        'default' => 'On Slider',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_header_style',array(
        'type' => 'select',
        'label' => __('Header Style','peccular'),
        'choices' => array (
            'Above Slider' => __('Above Slider','peccular'),
            'On Slider' => __('On Slider','peccular')
        ),
        'section' => 'peccular_header_section',
    ));

      $wp_customize->add_setting( 'peccular_Topheader_sbutton_enable',array(
        'default' => true,
        'sanitize_callback' => 'peccular_switch_sanitization'
   ) );
   $wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_Topheader_sbutton_enable',array(
        'label' => __( 'Show Top Header Buttons','peccular' ),
        'section' => 'peccular_header_section'
   )));   
 $wp_customize->add_setting(
    'peccular_header_actopbutton_text',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Sign In' )
    )
);
$wp_customize->add_control(
    'peccular_header_actopbutton_text',
    array(
        'settings'      => 'peccular_header_actopbutton_text',
        'section'       => 'peccular_header_section',
        'type'          => 'text',
        'label'         => __( 'Top Header Button 1 Text', 'peccular-premium' )
    )
);

//for button 2

$wp_customize->add_setting(
    'peccular_header_actop2regbutton_text',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Register' )
    )
);
$wp_customize->add_control(
    'peccular_header_actop2regbutton_text',
    array(
        'settings'      => 'peccular_header_actop2regbutton_text',
        'section'       => 'peccular_header_section',
        'type'          => 'text',
        'label'         => __( 'Top Header Button 2 Text', 'peccular-premium' )
    )
);  

     $wp_customize->add_setting('peccular_header_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_header_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_header_section',
    ));


   $wp_customize->add_setting( 'peccular_header_sbutton_enable',array(
        'default' => true,
        'sanitize_callback' => 'peccular_switch_sanitization'
   ) );
   $wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_header_sbutton_enable',array(
        'label' => __( 'Show Bottom Header Button','peccular' ),
        'section' => 'peccular_header_section'
   )));   

 $wp_customize->add_setting(
    'peccular_header_acbutton_text',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'My Account' )
    )   
);
$wp_customize->add_control(
    'peccular_header_acbutton_text',
    array(
        'settings'      => 'peccular_header_acbutton_text',
        'section'       => 'peccular_header_section',
        'type'          => 'text',
        'label'         => __( 'Bottom Header Button Text', 'peccular-premium' )
    )
);

$wp_customize->add_setting('peccular_topHeaderColor_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_topHeaderColor_lbl',
        array(
            'settings'      => 'peccular_topHeaderColor_lbl',
            'section'       => 'peccular_header_section',
            'label'         => __( 'Top Header Colors', 'peccular' ),
        )
    )
); 
addColorPalatOption($wp_customize, 'Topheader_bgColor1', 'peccular_header_section', 'Top Header BG Color', '');

addColorPalatOption($wp_customize, 'socialIcon_bgColor1', 'peccular_header_section', 'Social Icon BG Color', '');
addColorPalatOption($wp_customize, 'socialIcon_iconColor', 'peccular_header_section', 'Social Icon Color', '');
addColorPalatOption($wp_customize, 'socialIcon_iconHoverColor', 'peccular_header_section', 'Social Icon Hover Color', '');
addColorPalatOption($wp_customize, 'socialIcon_iconhoverBGColor', 'peccular_header_section', 'Social Icon BG Hover Color', '');


addColorPalatOption($wp_customize, 'button1_Color', 'peccular_header_section', 'Button 1 Color', '');
addColorPalatOption($wp_customize, 'button2_Color', 'peccular_header_section', 'Button 2 Color', '');
addColorPalatOption($wp_customize, 'button2border_Color', 'peccular_header_section', 'Button 2 Border Color', '');

$wp_customize->add_setting('peccular_bottomHeaderColor_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_bottomHeaderColor_lbl',
        array(
            'settings'      => 'peccular_bottomHeaderColor_lbl',
            'section'       => 'peccular_header_section',
            'label'         => __( 'Bottom Header Colors', 'peccular' ),
        )
    )
); 
addColorPalatOption($wp_customize, 'bottomheader_bgColor', 'peccular_header_section', 'Bottom Header BG Color', '');

addColorPalatOption($wp_customize, 'header_stickybgColor', 'peccular_header_section', 'Sticky BG Color', '');

addColorPalatOption($wp_customize, 'header_SiteTitleColor', 'peccular_header_section', 'Site Title Color', '');
addColorPalatOption($wp_customize, 'header_SiteTaglineColor', 'peccular_header_section', 'Tagline Color', '');

addColorPalatOption($wp_customize, 'header_btnbgColor', 'peccular_header_section', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'header_btnborderColor', 'peccular_header_section', 'Button Border Color', '');

addColorPalatOption($wp_customize, 'header_btntextColor', 'peccular_header_section', 'Button Text Color','');
addColorPalatOption($wp_customize, 'header_btniconColor', 'peccular_header_section', 'Button Icon Color','');

addColorPalatOption($wp_customize, 'header_btnhvbgColor', 'peccular_header_section', 'Button Hover BG Color','');
addColorPalatOption($wp_customize, 'header_btnhvtextColor', 'peccular_header_section', 'Button Hover Text Color','');

addColorPalatOption($wp_customize, 'header_cartbtnbgcolor', 'peccular_header_section', 'Cart Button BG Color','');
addColorPalatOption($wp_customize, 'header_cartbtniconcolor', 'peccular_header_section', 'Cart Button Icon Color','');

addColorPalatOption($wp_customize, 'header_cartbtncounterbgcolor', 'peccular_header_section', 'Cart Counter BG Color','');
addColorPalatOption($wp_customize, 'header_cartbtncountrtxtColor', 'peccular_header_section', 'Cart Counter Text Color','');

addColorPalatOption($wp_customize, 'header_searchFormIconColor', 'peccular_header_section', 'Search form Icon Color','');
addColorPalatOption($wp_customize, 'header_searchFormIconBGColor', 'peccular_header_section', 'Search form Icon BG Color','');
addColorPalatOption($wp_customize, 'header_searchFormtxtfldColor', 'peccular_header_section', 'Text Field Color','');
addColorPalatOption($wp_customize, 'header_searchFormtxtfldBGColor', 'peccular_header_section', 'Text Field BG Color','');
addColorPalatOption($wp_customize, 'header_searchFormtxtfldBorderColor', 'peccular_header_section', 'Text Field Border Color','');
addColorPalatOption($wp_customize, 'header_searchFormtxtfldplaceholderColor', 'peccular_header_section', 'Text Field Paceholder Color','');
addColorPalatOption($wp_customize, 'header_searchFormcameraIconColor', 'peccular_header_section', 'Text Field Icon Color','');
?>