<?php 
    $wp_customize->add_section(
        'peccular_whoweare_section',
        array(
            'title' => __( 'Who We Are', 'peccular-premium' ),
            'panel' => 'peccular_premium_home_panel1',
            'priority' =>26
        )
    );

$wp_customize->add_setting('peccular_whoweare_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_whoweare_nav', array(
       'section' => 'peccular_whoweare_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_whoweare_enable',
                'peccular_whoweare_image',
                'peccular_whoweare_rbutton_text',
                'peccular_whoweare_rbutton_url',
                'whoweareareas_lbl2',
                'whoweare_area_lbl',
                'peccular_whoweare_section_lbl1',
                'peccular_whoweare_section_title1',
                'peccular_whoweare_section_title2',
                'peccular_whoweare_npp_heading',
                'peccular_whoweare_npp_count',
                'peccular_whoweare_subtitle',
                'peccular_whoweare_page_iconnum_',
                'peccular_whoweare_page1',
                'peccular_whoweare_page_iconnum_1',
                'peccular_whoweare_page_title_1',                
                'peccular_whoweare_description_1',
                'peccular_whoweare_page2',
                'peccular_whoweare_page_iconnum_2',
                'peccular_whoweare_page_title_2',                
                'peccular_whoweare_description_2',
                'peccular_whoweare_page3',
                'peccular_whoweare_page_iconnum_3',
                'peccular_whoweare_page_title_3',                
                'peccular_whoweare_description_3',
                'peccular_whoweare_page4',
                'peccular_whoweare_page_iconnum_4',
                'peccular_whoweare_page_title_4',                
                'peccular_whoweare_description_4',
                'peccular_whoweare_page5',
                'peccular_whoweare_page_iconnum_5',
                'peccular_whoweare_page_title_5',                
                'peccular_whoweare_description_5',
                'peccular_whoweare_page6',
                'peccular_whoweare_page_iconnum_6',
                'peccular_whoweare_page_title_6',                
                'peccular_whoweare_description_6'
                
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_whoweare_section_bg_color',
                'peccular_whoweare_section_bg_image',
                'peccular_whoweare_box_onload_effects',
                'peccular_whoweare_head_align',                               
                'peccular_whoweare_wheading1_color',
                'peccular_whoweare_subheading_color',
                'peccular_whoweare_descri_color',
                'peccular_whoweare_wicon_color',
                'peccular_whoweare_wiconborder_color',                
                'peccular_whoweare_wiconbg_color',
                'peccular_whoweare_wtitle_color',
                'peccular_whoweare_wcontent_color',
                'peccular_whoweare_wtitlehv_color',
                'peccular_whoweare_wiconhv_color',                
                'peccular_whoweare_wiconhvbrdr_color',
                'peccular_whoweare_wheadingbrdr1_color',
                'peccular_whoweare_wheadingbrdr2_color',
                'peccular_whoweare_wrdots1_color',
                'peccular_whoweare_wrdots2_color',
                'peccular_whoweare_wbtn_color',
                'peccular_whoweare_wbtnbg_color',
                'peccular_whoweare_wbtnhovbg_color',
                'peccular_whoweare_wbtnhovtxt_color'

            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_whoweare_padding',
                'peccular_whoweare_section_t_padding',
                'peccular_whoweare_section_b_padding',
                'peccular_whoweare_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_whoweare_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_whoweare_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_whoweare_section'
)));

    $wp_customize->add_setting( 'peccular_whoweare_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_whoweare_image', array(
        'label' => __('Who We Are Image','peccular'),
       'section' => 'peccular_whoweare_section',
    )));

    $wp_customize->add_setting('peccular_whoweare_section_lbl1', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_whoweare_section_lbl1',
        array(
            'settings'      => 'peccular_whoweare_section_lbl1',
            'section'       => 'peccular_whoweare_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Take Left Image size 598px x 616px  ', 'peccular Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'peccular_whoweare_section_title1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Who We Are', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_whoweare_section_title1',
    array(
        'settings'      => 'peccular_whoweare_section_title1',
        'section'       => 'peccular_whoweare_section', 
        'type'          => 'text',
        'label'         => __( 'Section Title', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_whoweare_section_title2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'We Preapare The Best Tast in Town!', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_whoweare_section_title2',
    array(
        'settings'      => 'peccular_whoweare_section_title2',
        'section'       => 'peccular_whoweare_section', 
        'type'          => 'text',
        'label'         => __( 'Section Sub Title', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_whoweare_subtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna Lorem ipsum dolor ut labore dolore magna Lorem ipsum dolor.', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_whoweare_subtitle',
    array(
        'settings'      => 'peccular_whoweare_subtitle',
        'section'       => 'peccular_whoweare_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Description', 'peccular-premium' )
    )
);
$wp_customize->add_setting(
    'peccular_whoweare_rbutton_text',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Read more' )
    )
);
$wp_customize->add_control(
    'peccular_whoweare_rbutton_text',
    array(
        'settings'      => 'peccular_whoweare_rbutton_text',
        'section'       => 'peccular_whoweare_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'peccular-premium' )
    )
);
$wp_customize->add_setting(
    'peccular_whoweare_rbutton_url', 
    array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control(
    'peccular_whoweare_rbutton_url',
    array(
        'settings'      => 'peccular_whoweare_rbutton_url',
        'section'       => 'peccular_whoweare_section',
        'type'          => 'url',
        'label'         => __( 'Add Button Link Here', 'peccular-premium' )
    )
);   

lzCustomLable($wp_customize, 'whoweareareas_lbl2', 'peccular_whoweare_section', 'Set Who We Are Setting :');

$wp_customize->add_setting('whoweare_area_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'whoweare_area_lbl',
        array(
            'settings'      => 'whoweare_area_lbl',
            'section'       => 'peccular_whoweare_section',
            'label'         => __( 'Note1:', 'peccular' ),  
            'description'   => __( 'Changes will not reflect unless you select an icon for page', 'peccular' ),
        )
    )
);

$wp_customize->add_setting('peccular_whoweare_npp_heading',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_whoweare_npp_heading',
        array(
            'settings'      => 'peccular_whoweare_npp_heading',
            'section'       => 'peccular_whoweare_section',
            'label'         => __( 'Number Of Plans', 'peccular-premium' ),
        )
    )
);    
$wp_customize->add_setting('peccular_whoweare_npp_count',array('sanitize_callback' => 'peccular_sanitize_text','default' => 1));
$wp_customize->add_control(
    'peccular_whoweare_npp_count',
    array(
        'settings'      => 'peccular_whoweare_npp_count',
        'section'       => 'peccular_whoweare_section',
        'type'          => 'select',
        'label'         => __( 'Number Of Plan To show', 'peccular-premium' ),
        'choices'=>array(1,2,3,4,5,6)
    )
);
for( $i = 1; $i <= 6; $i++ ){
    $wp_customize->add_setting(
        'peccular_whoweare_page'.$i,
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_whoweare_page'.$i,
            array(
                'settings'      => 'peccular_whoweare_page'.$i,
                'section'       => 'peccular_whoweare_section',
                'label'         => __( 'Page ', 'peccular-premium' ).$i
            )
        )
    );
 
lzAddElement($wp_customize, 'peccular_whoweare_page_iconnum_'.$i, 'peccular_whoweare_section', $type = 'text', $label=" Number", $callback ='sanitize_text_field', $default='10');    

lzAddElement($wp_customize, 'peccular_whoweare_page_title_'.$i, 'peccular_whoweare_section', $type = 'text', $label="Title", $callback ='peccular_sanitize_text', $default='24/7 Food Delivery');

lzAddElement($wp_customize, 'peccular_whoweare_description_'.$i, 'peccular_whoweare_section', $type = 'textarea', $label="Description", $callback ='peccular_sanitize_text', $default='Using a drag-and-drop visual studio, easily create.');
}

$wp_customize->add_setting( 'peccular_whoweare_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_whoweare_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_whoweare_section',
    )));

    $wp_customize->add_setting('peccular_whoweare_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_whoweare_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Block Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_whoweare_section',
    ));

         $wp_customize->add_setting('peccular_whoweare_head_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_whoweare_head_align',array(
        'type' => 'select',
        'label' => __('Section Heading Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_whoweare_section',
    ));

    $wp_customize->add_setting('peccular_whoweare_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_whoweare_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_whoweare_section'
   ));
   
    $wp_customize->add_setting('peccular_whoweare_section_t_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_whoweare_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_whoweare_section',
    ));
     $wp_customize->add_setting('peccular_whoweare_section_b_padding',array(
        'default' => '4',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_whoweare_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_whoweare_section',
    ));

    $wp_customize->add_setting('peccular_whoweare_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_whoweare_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_whoweare_section',
    ));

addColorPalatOption($wp_customize, 'peccular_whoweare_wheading1_color', 'peccular_whoweare_section', 'Section Heading Color', '');

addColorPalatOption($wp_customize, 'peccular_whoweare_subheading_color', 'peccular_whoweare_section', 'Section Sub Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_whoweare_wheadingbrdr1_color', 'peccular_whoweare_section', 'Section Heading Border 1 Color', '');
addColorPalatOption($wp_customize, 'peccular_whoweare_wheadingbrdr2_color', 'peccular_whoweare_section', 'Section Heading Border 2 Color', '');

addColorPalatOption($wp_customize, 'peccular_whoweare_descri_color', 'peccular_whoweare_section', 'Section Description Color', '');
addColorPalatOption($wp_customize, 'peccular_whoweare_wicon_color', 'peccular_whoweare_section', 'Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_whoweare_wiconborder_color', 'peccular_whoweare_section', 'Icon  Border Color', '');
addColorPalatOption($wp_customize, 'peccular_whoweare_wiconbg_color', 'peccular_whoweare_section', 'Icon BG Color', '');
addColorPalatOption($wp_customize, 'peccular_whoweare_wtitle_color', 'peccular_whoweare_section', 'Title Color', '');

addColorPalatOption($wp_customize, 'peccular_whoweare_wcontent_color', 'peccular_whoweare_section', 'Content Color', '');
addColorPalatOption($wp_customize, 'peccular_whoweare_wtitlehv_color', 'peccular_whoweare_section', 'Title Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_whoweare_wiconhv_color', 'peccular_whoweare_section', 'Icon Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_whoweare_wiconhvbrdr_color', 'peccular_whoweare_section', 'Icon Hover Border Color', '');
addColorPalatOption($wp_customize, 'peccular_whoweare_wrdots1_color', 'peccular_whoweare_section', 'Right Side Dots 1 BG Color', '');
addColorPalatOption($wp_customize, 'peccular_whoweare_wrdots2_color', 'peccular_whoweare_section', 'Right Side Dots 2 BG Color', '');

addColorPalatOption($wp_customize, 'peccular_whoweare_wbtn_color', 'peccular_whoweare_section', 'Button Color', '');
addColorPalatOption($wp_customize, 'peccular_whoweare_wbtnbg_color', 'peccular_whoweare_section', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_whoweare_wbtnhovbg_color', 'peccular_whoweare_section', 'Button Hover BG Color', '');
addColorPalatOption($wp_customize, 'peccular_whoweare_wbtnhovtxt_color', 'peccular_whoweare_section', 'Button Hover Text Color', '');
?>