<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );

  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_faq_inner_pages' , array(
        'title'    => __( 'Faq Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );

    $wp_customize->add_setting('peccular_faqinnerpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_faqinnerpages_nav', array(
       'section' => 'peccular_faq_inner_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(                
                //'peccular_faqinnerpage_post_image_height',
                //'faq_socials_on_off'
            ),
            'active' => true,
         ),          
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                'peccular_faqinnpage_ftitle_color',
                'peccular_faqinnpage_faqBxBG_color',
                'peccular_faqinnpage_faqBxBorder_color',
                'peccular_faqinnpage_boxbedr_color',
                'peccular_faqinnpage_activebxbrder_color',
                'peccular_faqinnpage_icon_color',
                'peccular_faqinnpage_activeicon_color',
                'peccular_faqinnpage_activeiconbg_color',
                'peccular_faqinnpage_text_color',
                'peccular_faqinnpage_iconBG_color',
                'peccular_faqinnpage_iconfirdtBordr_color',
                'peccular_faqinnpage_iconsecndBordr_color',
                'peccular_faqinnpage_activetitle_color',
                'peccular_faqinnpage_activeiconBG_color'
            ),
         )
        ),
    )));

addColorPalatOption($wp_customize, 'peccular_faqinnpage_faqBxBG_color', 'peccular_faq_inner_pages', 'Faq Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_faqinnpage_faqBxBorder_color', 'peccular_faq_inner_pages', 'Faq Box Border Color', '');



addColorPalatOption($wp_customize, 'peccular_faqinnpage_ftitle_color', 'peccular_faq_inner_pages', 'Faq Title Color', '');
addColorPalatOption($wp_customize, 'peccular_faqinnpage_icon_color', 'peccular_faq_inner_pages', 'Faq Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_faqinnpage_iconBG_color', 'peccular_faq_inner_pages', 'Faq Icon BG Color', '');
addColorPalatOption($wp_customize, 'peccular_faqinnpage_iconfirdtBordr_color', 'peccular_faq_inner_pages', 'Faq Title Border 1 Color', '');

addColorPalatOption($wp_customize, 'peccular_faqinnpage_iconsecndBordr_color', 'peccular_faq_inner_pages', 'Faq Title Border 2 Color', '');
addColorPalatOption($wp_customize, 'peccular_faqinnpage_activetitle_color', 'peccular_faq_inner_pages', 'Active 
Title Color', '');


addColorPalatOption($wp_customize, 'peccular_faqinnpage_activeicon_color', 'peccular_faq_inner_pages', 'Active Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_faqinnpage_activeiconBG_color', 'peccular_faq_inner_pages', 'Active Icon BG Color', '');
addColorPalatOption($wp_customize, 'peccular_faqinnpage_text_color', 'peccular_faq_inner_pages', 'Faq Text Color', '');
?>