<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );

  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_project_inner_pages' , array(
        'title'    => __( 'Project Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );

$wp_customize->add_setting('peccular_projectinnerpages_reset_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new peccular_Reset_Custom_Control($wp_customize, 'peccular_projectinnerpages_reset_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset project Inner Pages Settings', 'peccular'),
  'description' => 'peccular_projectinnerpages_reset_settings',
  'section' => 'peccular_project_inner_pages'
)));
    
    $wp_customize->add_setting('peccular_projectinnerpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_projectinnerpages_nav', array(
       'section' => 'peccular_project_inner_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-project',
            'fields' => array(
                'project_featured_img_on_off',
                'peccular_projectinnerpage_post_image_height'            
                              
                //'project_socials_on_off'
            ),
            'active' => true,
         ),          
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                'peccular_projectinnpage_title_color',
                'peccular_projectinnpage_overlay_color',
                'peccular_projectinnpage_bxhovbrder_color'
            ),
         )
        ),
    )));

$wp_customize->add_setting('peccular_projectinnerpage_post_image_height',array(
        'default' => 430,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_projectinnerpage_post_image_height',array(
    'label' => __('Feature Image Height','peccular'),
    'section' => 'peccular_project_inner_pages',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1000,
            'step' => 1,
        ),
    )));

addColorPalatOption($wp_customize, 'peccular_projectinnpage_title_color', 'peccular_project_inner_pages', 'Project Title color', '');
addColorPalatOption($wp_customize, 'peccular_projectinnpage_overlay_color', 'peccular_project_inner_pages', 'Overlay color', '');
addColorPalatOption($wp_customize, 'peccular_projectinnpage_bxhovbrder_color', 'peccular_project_inner_pages', 'Box Hover Border color', '');
?>