<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package peccular
 */
get_header(); ?>
 <!-- <?php //$image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?> -->
<div class="peccular-page-main"> 
  <header class="page-main-header2" >
 <!-- <div class="peccular-innerpage-overlay"></div>  -->
 
 <?php 
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?> <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
       <h1 class="ht-main-title wow zoomIn"><?php woocommerce_page_title(); ?></h1> 
        <div class="clearfix"></div>
    </div>
 <?php } ?>   
 <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
            <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
            </div>
        </div>
 <?php } ?>   

</header><!-- .entry-header --> 
<?php //do_action( 'woocommerce_archive_description' ); ?>
	<?php //do_action('woocommerce_before_main_content'); ?>
	<?php //if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>
		<!-- <h1 class="page-title wow zoomIn"><?php //woocommerce_page_title(); ?></h1> -->
	<?php //endif; ?>	
</div>

	
<div class="single-productpage">
<main id="innerpage-box">
		<?php
			//if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
			//get_header('shop'); ?>
			<div id="page" class="container" >
				<div class="inner_contentbox" >
				<article id="content" class="article">

<?php if (get_theme_mod('peccular__shoppage_layout') == '1' ) { ?>
    <div class="row md-1">
        <div class="pg-brdr">	
            <?php if ( have_posts() ) : ?>						
				<?php do_action( 'woocommerce_before_shop_loop' ); ?>
				<?php woocommerce_product_loop_start(); ?>
				<?php woocommerce_product_subcategories(); ?>
				<div class="row md-1">
			<?php while ( have_posts() ) : the_post(); ?>
				<?php wc_get_template_part( 'content', 'product' ); ?>				
			<?php endwhile; // end of the loop. ?>
			</div>
				<?php woocommerce_product_loop_end(); ?>
				<?php do_action( 'woocommerce_after_shop_loop' ); ?>
				<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>
				<?php //woocommerce_get_template( 'loop/no-products-found.php' ); ?>
			<?php endif; ?>		
        </div><!-- #main -->
   	</div>

    <?php } if (get_theme_mod('peccular__shoppage_layout') == '2' ) { ?>
    <div class="row md-1">
        <div class="col-lg-3 col-md-4 col-sm-12 col-xs-12 categris ">
                            <?php
                 $peccular_popular_cattitle = get_theme_mod('peccular_popular_cattitle', ' All Categories');
                ?>       
                <div class="popular-catt">
                        <?php echo ($peccular_popular_cattitle);  ?>
                            
                </div>
                                <div class=" slider-procat">

                    <div class="productCategoriesbox">
                        <div class="catproduct-grid <?php echo esc_attr(get_theme_mod('peccular_categoryproduct_box_onload_effects','wow zoomIn')); ?>">
                        
                          <?php
                        $args = array(
                                  'number'     => 0,
                                  'orderby'    => 'title',
                                  'order'      => 'ASC', 
                                  'taxonomy' => 'product_cat',
                                  'hide_empty' => false,
                                  'parent'   => 0
                              );
                          $product_cat = get_terms( 'product_cat', $args );

                          foreach ($product_cat as $parent_product_cat)
                          {
                            global $wp_query;

                            // get the query object
                            $cat = $wp_query->get_queried_object();
                            if(function_exists('get_term_meta')){
                                //show parent categories
                                    $thumbnail_id = get_term_meta( $parent_product_cat->term_id, 'thumbnail_id', true );
                                // get the image URL for parent category
                                    $image = wp_get_attachment_url( $thumbnail_id );

                                }else{
                                    $image = esc_html(get_template_directory_uri()).'/images/default.png';
                                }
                            echo '<div class=" cat-product hvr-float-shadow "> ';

                          echo '
                              <ul class=" mainCatUL">
                                <li class=" mainCat">';
                                echo'<div class="pro-cat-img">                                            
                                            <a href="' . get_term_link( $parent_product_cat ) . '" ><img src="'.$image.'" alt="" /></a>
                                            </div>  ';
                                echo ' <div class="pro-cat-content"> ';

                                echo '<span class="rolln"><a href="'.get_term_link($parent_product_cat->term_id).'">'.$parent_product_cat->name.' </a></span>';
                              
                                echo'  </div>
                               
                                  ';
                          $child_args = array(
                                      'taxonomy' => 'product_cat',
                                      'hide_empty' => false,
                                      'parent'   => $parent_product_cat->term_id
                                  );
                          $child_product_cats = get_terms( $child_args );
                          if (!empty($child_product_cats)){ 
                          echo '<span class="cat-icon"><a href="'.get_term_link($parent_product_cat->term_id).'"> <i class="fa fa-angle-right" ></i> </a></span>';
                          echo '  <ul class="child_CatPro">  ';

                          foreach ($child_product_cats as $child_product_cat)
                          {

                             if(function_exists('get_term_meta')){
                                            //show parent categories
                                                $thumbnail_id = get_term_meta( $child_product_cat->term_id, 'thumbnail_id', true );
                                            // get the image URL for parent category
                                                $image = wp_get_attachment_url( $thumbnail_id );

                                            }else{
                                                $image = esc_html(get_template_directory_uri()).'/images/default.png';
                                            }

                              echo' <li class="child-mainCat">
                                    <div class="pro-cat-img_child">                                            
                                            <a href="' . get_term_link( $child_product_cat ) . '" ><img src="'.$image.'" alt="" /></a>
                                            </div>  ';
                                        echo ' <div class="pro-cat-content_child"> ';

                                        echo '<span class="rolln"><a href="'.get_term_link($child_product_cat->term_id).'">'.$child_product_cat->name.'</a></span>';
                                        echo'  </div>
                                     
                           
                                  ';
                          $child_child_args = array(
                                      'taxonomy' => 'product_cat',
                                      'hide_empty' => false,
                                      'parent'   => $child_product_cat->term_id
                                  );
                          $child_child_product_cats = get_terms( $child_child_args );

                              if (!empty($child_child_product_cats)){ 
                          echo '<span class="cat-icon"><a href="'.get_term_link($child_product_cat->term_id).'"> <i class="fa fa-angle-right" ></i> </a></span>';
                          echo '  <ul class="child_child_CatPro">  ';


                          foreach ($child_child_product_cats as $child_child_product_cat)
                          {

                             if(function_exists('get_term_meta')){
                                            //show parent categories
                                                $thumbnail_id = get_term_meta( $child_child_product_cat->term_id, 'thumbnail_id', true );
                                            // get the image URL for parent category
                                                $image = wp_get_attachment_url( $thumbnail_id );

                                            }else{
                                                $image = esc_html(get_template_directory_uri()).'/images/default.png';
                                            }

                              echo'
                                    <li class="child_child-mainCat">
                                    <div class="pro-cat-img_child_child">                                            
                                            <a href="' . get_term_link( $child_child_product_cat ) . '" ><img src="'.$image.'" alt="" /></a>
                                            </div>  ';
                                        echo ' <div class="pro-cat-content_child"> ';

                                        echo '<span class="rolln"><a href="'.get_term_link($child_child_product_cat->term_id).'">'.$child_child_product_cat->name.'</a></span>';
                                        echo'  </div>
                                      
                                        
                                  ';
                          $child_child_child_args = array(
                                      'taxonomy' => 'product_cat',
                                      'hide_empty' => false,
                                      'parent'   => $child_child_product_cat->term_id
                                  );
                          $child_child_child_product_cats = get_terms( $child_child_child_args );
                            if (!empty($child_child_child_product_cats)){ 
                                
                          echo '<span class="cat-icon"><a href="'.get_term_link($child_child_product_cat->term_id).'"> <i class="fa fa-angle-right" ></i> </a></span>';
                          echo '  <ul class="child_child_child_CatPro">  ';

                          foreach ($child_child_child_product_cats as $child_child_child_product_cat)
                          {

                            if(function_exists('get_term_meta')){
                                            //show parent categories
                                                $thumbnail_id = get_term_meta( $child_child_child_product_cat->term_id, 'thumbnail_id', true );
                                            // get the image URL for parent category
                                                $image = wp_get_attachment_url( $thumbnail_id );

                                            }else{
                                                $image = esc_html(get_template_directory_uri()).'/images/default.png';
                                            }
                            echo'
                              <li class="child-mainCat">
                              <div class="pro-cat-img_child_child_child">                                            
                                            <a href="' . get_term_link( $child_child_child_product_cat ) . '" ><img src="'.$image.'" alt="" /></a>
                                            </div>  ';
                                        echo ' <div class="pro-cat-content_child"> ';

                                        echo '<span class="rolln"><a href="'.get_term_link($child_child_child_product_cat->term_id).'">'.$child_child_child_product_cat->name.'</a></span>';
                                        echo'  </div>
                                         </li>
                                       ';

                            }
                              echo ' </ul> ';
                      }

                      echo'<li>' ;

                  }
                     echo '</ul>';
                     }

                              echo ' </li> ';

                      }

                            echo '</ul>';
                    }

                        echo '   </li>                     
                            </ul>';
                            echo' </div>';
                          }
                            ?>
                                </div>

                            <div class="clearfix"></div>
                        </div>
                        <div class="clearfix"></div>
                       </div>
                    <div class="clearfix"></div>
                    <?php if( get_theme_mod('cd_button_display','show' ) == 'show') :
                            ?>
                            <div class='button'><?php get_sidebar( 'peccular-shop-sidebar'); ?></div>
                        <?php endif ?>
        </div>
       <div class="col-lg-9 col-md-8 col-sm-8 col-xs-12 pg-brdr">   
             <?php if ( have_posts() ) : ?>                     
            <?php do_action( 'woocommerce_before_shop_loop' ); ?>
            <?php woocommerce_product_loop_start(); ?>
            <?php woocommerce_product_subcategories(); ?>
            
            <?php while ( have_posts() ) : the_post(); ?>
                <?php wc_get_template_part( 'content', 'product' ); ?>              
            <?php endwhile; // end of the loop. ?>
        
            <?php woocommerce_product_loop_end(); ?>
            <?php do_action( 'woocommerce_after_shop_loop' ); ?>
            <?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>
            <?php //woocommerce_get_template( 'loop/no-products-found.php' ); ?>
        <?php endif; ?>     
        </div>
    </div>

 <?php } else if (get_theme_mod('peccular__shoppage_layout') == '0' ) {?>
	<div class="row md-1">
    	<div class="col-lg-9 col-md-8 col-sm-8 col-xs-12 pg-brdr">
    		
        <?php if ( have_posts() ) : ?>						
			<?php do_action( 'woocommerce_before_shop_loop' ); ?>
			<?php woocommerce_product_loop_start(); ?>
			<?php woocommerce_product_subcategories(); ?>
			
			<?php while ( have_posts() ) : the_post(); ?>
				<?php wc_get_template_part( 'content', 'product' ); ?>				
			<?php endwhile; // end of the loop. ?>
		
			<?php woocommerce_product_loop_end(); ?>
			<?php do_action( 'woocommerce_after_shop_loop' ); ?>
			<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>
			<?php //woocommerce_get_template( 'loop/no-products-found.php' ); ?>
		<?php endif; ?>	
	
		 </div><!-- #main -->
		 <div class="col-lg-3 col-md-4 col-sm-12 col-xs-12 categris ">
                            <?php
                 $peccular_popular_cattitle = get_theme_mod('peccular_popular_cattitle', ' All Categories');
                ?>       
                <div class="popular-catt">
                        <?php echo ($peccular_popular_cattitle);  ?>
                            
                </div>
                <div class=" slider-procat">

                    <div class="productCategoriesbox">
                        <div class="catproduct-grid <?php echo esc_attr(get_theme_mod('peccular_categoryproduct_box_onload_effects','wow zoomIn')); ?>">
                        
                          <?php
                        $args = array(
                                  'number'     => 0,
                                  'orderby'    => 'title',
                                  'order'      => 'ASC', 
                                  'taxonomy' => 'product_cat',
                                  'hide_empty' => false,
                                  'parent'   => 0
                              );
                          $product_cat = get_terms( 'product_cat', $args );

                          foreach ($product_cat as $parent_product_cat)
                          {
                            global $wp_query;

                            // get the query object
                            $cat = $wp_query->get_queried_object();
                            if(function_exists('get_term_meta')){
                                //show parent categories
                                    $thumbnail_id = get_term_meta( $parent_product_cat->term_id, 'thumbnail_id', true );
                                // get the image URL for parent category
                                    $image = wp_get_attachment_url( $thumbnail_id );

                                }else{
                                    $image = esc_html(get_template_directory_uri()).'/images/default.png';
                                }
                            echo '<div class=" cat-product hvr-float-shadow "> ';

                          echo '
                              <ul class=" mainCatUL">
                                <li class=" mainCat">';
                                echo'<div class="pro-cat-img">                                            
                                            <a href="' . get_term_link( $parent_product_cat ) . '" ><img src="'.$image.'" alt="" /></a>
                                            </div>  ';
                                echo ' <div class="pro-cat-content"> ';

                                echo '<span class="rolln"><a href="'.get_term_link($parent_product_cat->term_id).'">'.$parent_product_cat->name.' </a></span>';
                              
                                echo'  </div>
                               
                                  ';
                          $child_args = array(
                                      'taxonomy' => 'product_cat',
                                      'hide_empty' => false,
                                      'parent'   => $parent_product_cat->term_id
                                  );
                          $child_product_cats = get_terms( $child_args );
                          if (!empty($child_product_cats)){ 
                          echo '<span class="cat-icon"><a href="'.get_term_link($parent_product_cat->term_id).'"> <i class="fa fa-angle-right" ></i> </a></span>';
                          echo '  <ul class="child_CatPro">  ';

                          foreach ($child_product_cats as $child_product_cat)
                          {

                             if(function_exists('get_term_meta')){
                                            //show parent categories
                                                $thumbnail_id = get_term_meta( $child_product_cat->term_id, 'thumbnail_id', true );
                                            // get the image URL for parent category
                                                $image = wp_get_attachment_url( $thumbnail_id );

                                            }else{
                                                $image = esc_html(get_template_directory_uri()).'/images/default.png';
                                            }

                              echo' <li class="child-mainCat">
                                    <div class="pro-cat-img_child">                                            
                                            <a href="' . get_term_link( $child_product_cat ) . '" ><img src="'.$image.'" alt="" /></a>
                                            </div>  ';
                                        echo ' <div class="pro-cat-content_child"> ';

                                        echo '<span class="rolln"><a href="'.get_term_link($child_product_cat->term_id).'">'.$child_product_cat->name.'</a></span>';
                                        echo'  </div>
                                     
                           
                                  ';
                          $child_child_args = array(
                                      'taxonomy' => 'product_cat',
                                      'hide_empty' => false,
                                      'parent'   => $child_product_cat->term_id
                                  );
                          $child_child_product_cats = get_terms( $child_child_args );

                              if (!empty($child_child_product_cats)){ 
                          echo '<span class="cat-icon"><a href="'.get_term_link($child_product_cat->term_id).'"> <i class="fa fa-angle-right" ></i> </a></span>';
                          echo '  <ul class="child_child_CatPro">  ';


                          foreach ($child_child_product_cats as $child_child_product_cat)
                          {

                             if(function_exists('get_term_meta')){
                                            //show parent categories
                                                $thumbnail_id = get_term_meta( $child_child_product_cat->term_id, 'thumbnail_id', true );
                                            // get the image URL for parent category
                                                $image = wp_get_attachment_url( $thumbnail_id );

                                            }else{
                                                $image = esc_html(get_template_directory_uri()).'/images/default.png';
                                            }

                              echo'
                                    <li class="child_child-mainCat">
                                    <div class="pro-cat-img_child_child">                                            
                                            <a href="' . get_term_link( $child_child_product_cat ) . '" ><img src="'.$image.'" alt="" /></a>
                                            </div>  ';
                                        echo ' <div class="pro-cat-content_child"> ';

                                        echo '<span class="rolln"><a href="'.get_term_link($child_child_product_cat->term_id).'">'.$child_child_product_cat->name.'</a></span>';
                                        echo'  </div>
                                      
                                        
                                  ';
                          $child_child_child_args = array(
                                      'taxonomy' => 'product_cat',
                                      'hide_empty' => false,
                                      'parent'   => $child_child_product_cat->term_id
                                  );
                          $child_child_child_product_cats = get_terms( $child_child_child_args );
                            if (!empty($child_child_child_product_cats)){ 
                                
                          echo '<span class="cat-icon"><a href="'.get_term_link($child_child_product_cat->term_id).'"> <i class="fa fa-angle-right" ></i> </a></span>';
                          echo '  <ul class="child_child_child_CatPro">  ';

                          foreach ($child_child_child_product_cats as $child_child_child_product_cat)
                          {

                            if(function_exists('get_term_meta')){
                                            //show parent categories
                                                $thumbnail_id = get_term_meta( $child_child_child_product_cat->term_id, 'thumbnail_id', true );
                                            // get the image URL for parent category
                                                $image = wp_get_attachment_url( $thumbnail_id );

                                            }else{
                                                $image = esc_html(get_template_directory_uri()).'/images/default.png';
                                            }
                            echo'
                              <li class="child-mainCat">
                              <div class="pro-cat-img_child_child_child">                                            
                                            <a href="' . get_term_link( $child_child_child_product_cat ) . '" ><img src="'.$image.'" alt="" /></a>
                                            </div>  ';
                                        echo ' <div class="pro-cat-content_child"> ';

                                        echo '<span class="rolln"><a href="'.get_term_link($child_child_child_product_cat->term_id).'">'.$child_child_child_product_cat->name.'</a></span>';
                                        echo'  </div>
                                         </li>
                                       ';

                            }
                              echo ' </ul> ';
                      }

                      echo'<li>' ;

                  }
                     echo '</ul>';
                     }

                              echo ' </li> ';

                      }

                            echo '</ul>';
                    }

                        echo '   </li>                     
                            </ul>';
                            echo' </div>';
                          }
                            ?>
                                </div>

                            <div class="clearfix"></div>
                        </div>
                        <div class="clearfix"></div>
                       </div>
                    <div class="clearfix"></div>
                    <?php if( get_theme_mod('cd_button_display','show' ) == 'show') :
                            ?>
                            <div class='button'><?php get_sidebar( 'peccular-shop-sidebar'); ?></div>
                        <?php endif ?>
        </div>

	</div>
<?php } ?>
					<div class="clearfix"></div>
				</article>
				<?php /*do_action('woocommerce_sidebar');*/ ?>
				<?php //get_sidebar(); ?>	
				<div class="clearfix"></div>
			</div>
				<div class="clearfix"></div>
			</div>	
	</main><!-- #main -->
</div>
<?php get_footer(); ?>
