<?php   
/** 
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package peccular Premium
 */
 
?>
<footer class="footer-area" id="footer">
		<div class="footer-bg"></div>
	<?php if(is_active_sidebar('peccular-footer1') || is_active_sidebar('peccular-footer2') || is_active_sidebar('peccular-footer3') || is_active_sidebar('peccular-footer4') ){ ?>
		 
		<div class="top-area">
			<div class="<?php if(get_theme_mod('peccular_footer_section_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_footer_section_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">	
				<div class="row row-eq-height md-1 footer-border">
				<div class="s-footer col-lg-4 col-md-6 col-sm-12 col-xs-12 single-footer-1 <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn" data-wow-duration="1s" >
						<?php if(is_active_sidebar('peccular-footer1')): 
							dynamic_sidebar('peccular-footer1');
						endif;
						?>	
					</div>
				</div>

				<div class="s-footer col-lg-2 col-md-6 col-sm-12 col-xs-12 offset-1 single-footer-2 <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn" data-wow-duration="1.5s" >
						<?php if(is_active_sidebar('peccular-footer2')): 
							dynamic_sidebar('peccular-footer2');
						endif;
						?>	
						</div>
					</div>

				<div class="s-footer col-lg-2 col-md-6 col-sm-12 col-xs-12 offset-1  single-footer-3 <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn"  data-wow-duration="2s" >
						<?php if(is_active_sidebar('peccular-footer3')): 
							dynamic_sidebar('peccular-footer3');
						endif;
						?>	
					</div> 
				</div>

				<div class="s-footer col-lg-2 col-md-6 col-sm-12 col-xs-12 single-footer-4 <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn" data-wow-duration="2.5s" >
						<?php if(is_active_sidebar('peccular-footer4')): 
							dynamic_sidebar('peccular-footer4');
						endif;
						?>	
					</div>
				</div>

				<div class="s-footer col-lg-2 col-md-6 col-sm-12 col-xs-12 single-footer-5 <//?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn" data-wow-duration="2.5s" >
						<!-- <div class="footer5overlay"></div> -->
						<?php if(is_active_sidebar('peccular-footer5')): 
							dynamic_sidebar('peccular-footer5');
						endif;
						?>	
					</div>
				</div>
			<div class="clearfix"></div>
		</div>
		<div class="clearfix"></div> 
		
	</div>
		<div class="clearfix"></div>
		</div>
	<?php } ?>

	<div class="clearfix"></div>
			<?php 
		if ( ! defined( 'ABSPATH' ) ) {
			exit; // Exit if accessed directly
		}

		$footercopyright = '';
		if (function_exists('custom_theme_copyright')) {
			$footercopyright = custom_theme_copyright();
		}
 
	?>
		<div class="bottom-area wow zoomIn">
			<div class="<?php if(get_theme_mod('peccular_footer_section_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_footer_section_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">	

				<!-- Bottom footer area from customizer -->

		<div class="bottom_footer_area"> 
			<?php 
		$peccular_ftrBtm_form_shortcode = get_theme_mod('peccular_ftrBtm_form_shortcode', 'Add Form [SHORTCODE] Here');
	    $peccular_btmftrcontform_maintitle = get_theme_mod('peccular_btmftrcontform_maintitle', 'GET REGULAR DISCOUNT TO YOUR EMAIL');
     	?>
			<div class="btm_ftr_logoImg">
					<?php 
						$peccular_ftrBtmLogo_image = get_theme_mod('peccular_ftrBtmLogo_image');
						if(!empty($peccular_ftrBtmLogo_image)){
							echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_ftrBtmLogo_image).'"  />';
						}else{
							echo '<img alt="aboutus us" src="'.get_template_directory_uri().'/images/footrbottmlogo.png" />';
						}
 
						?>
			</div>

			<nav class="navigation">
		                     <div class="overlaybg"></div><!--  /.overlaybg -->
		                            <!-- Main Menu -->
		                       <div class="menu-wrapper">
		                           <div class="menu-content">
		                                    <?php
		                                        if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
		                                            wp_nav_menu ( array(
		                                                'menu_class' => 'mainmenu ht-clearfix',
		                                                'container'=> 'ul',
		                                                'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
		                                                'theme_location' => 'footermenu',  
		                                            )); 
		                                        } else {
		                                            wp_nav_menu ( array(
		                                                'menu_class' => 'mainmenu ht-clearfix',
		                                                'container'=> 'ul',
		                                                'theme_location' => 'footermenu',  
		                                            )); 
		                                        }
		                                    ?>
		                              </div> <!-- /.hours-content-->		                              

												<div class="clearfix"></div>

		                        </div><!-- /.menu-wrapper --> 
		                  </nav>	
			<div class="btm_ftrFrm_title">
				<h2><?php echo ($peccular_btmftrcontform_maintitle);  ?></h2>
			</div>
			<div class="bottom_contct_form">
				<?php echo do_shortcode($peccular_ftrBtm_form_shortcode);?>
			</div>
 
							<?php
							$facebook = get_theme_mod('peccular_footer_fb', '//facebook.com/');
							$twitter = get_theme_mod('peccular_footer_tw', '//twitter.com/');	
							$instagram = get_theme_mod('peccular_footer_instagram', '//instagram.com/');			
							$pinterest = get_theme_mod('peccular_footer_pinterest', 'https://www.pinterest.com');
							$linkdin = get_theme_mod('peccular_footer_linkdin', 'https://www.linkdin.com');
							$youtube = get_theme_mod('peccular_footer_youtube', 'https://www.youtube.com/');
							$whatsapp = get_theme_mod('peccular_footer_whatsapp', 'https://www.whatsapp.com/');
							?>
                                    <?php if( get_theme_mod('peccular_ftrBtm_socialIcon_display','show' ) == 'show') :
                        ?>
								<div class="btm_footrsocialIcons">

									<?php if(!empty($whatsapp)){ ?>
										<a href="<?php echo $whatsapp ?>" title="whatsapp" class="site-button sharp" target="_blank"><i class="fa fa-whatsapp"></i></a>
									<?php }?>

									<?php if(!empty($facebook)){ ?>
										<a href="<?php echo $facebook ?>" title="Facebook" class="site-button sharp" target="_blank"><i class="fa fa-facebook"></i></a>
									<?php }?>

									<?php if(!empty($twitter)){ ?>
										<a href="<?php echo $twitter ?>" title="Twitter" class="site-button sharp" target="_blank"><i class="fa fa-twitter"></i></a>
									<?php }?>

									<?php if(!empty($youtube)){ ?>
										<a href="<?php echo $youtube ?>" title="youtube" class="site-button sharp" target="_blank"><i class="fa fa-youtube-play"></i></a>
									<?php }?>

									<?php if(!empty($linkdin)){ ?>
										<a href="<?php echo $linkdin ?>" title="linkdin" class="site-button sharp" target="_blank"><i class="fa fa-linkedin"></i></a>
									<?php }?>
									
									<?php if(!empty($pinterest)){ ?>
										<a href="<?php echo $pinterest ?>" title="Pinterest" class="site-button sharp" target="_blank"><i class="fa fa-pinterest"></i></a>
									<?php }?>
									
									<?php if(!empty($instagram)){ ?>
										<a href="<?php echo $instagram ?>" title="Instagram" class="site-button sharp" target="_blank"><i class="fa fa-instagram"></i></a>
									<?php }?>									
 
								</div>
								<?php endif ?>
		</div>
		</div>
			<div class="<?php if(get_theme_mod('peccular_footer_section_width','Full Width') == 'Full Width'){ ?> container-fluid <?php } elseif(get_theme_mod('peccular_footer_section_width',' Full Width') == 'Box Width'){ ?> container <?php }?>">
				<div class="copyright <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_copyright_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_copyright_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_copyright_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<?php if($footercopyright){ ?>
						<?php echo $footercopyright;?>
					<?php } ?>
				</div>
				</div>
			
	</div>
	

</footer><!-- #colophon -->
<script type="text/javascript">
	if(jQuery(window).width() >= 1170){
		new WOW().init();
	}
</script>
<script>
	$(window).scroll(function() {
		var height = $(window).scrollTop();
		if (height > 100) {
			$('#back2Top').fadeIn();
		} else {
			$('#back2Top').fadeOut();
		}
	});
	$(document).ready(function() {
		$("#back2Top").click(function(event) {
			event.preventDefault();
			$("html, body").animate({ scrollTop: 0 }, "slow");
			return false;
		});

	});
</script>
 <script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lightgallery.js" type="text/javascript"  ></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lg-autoplay.js" type="text/javascript"  ></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lg-fullscreen.js" type="text/javascript"  ></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lg-thumbnail.js" type="text/javascript"  ></script>
    <script type="text/javascript">
        lightGallery(document.getElementById('products-austrak'), {
            subHtmlSelectorRelative: true,
            thumbnail:true
        });
        lightGallery(document.getElementById('products-sherings'), {
            subHtmlSelectorRelative: true
        }); 
        lightGallery(document.getElementById('products-austmark'), {
            subHtmlSelectorRelative: true
        }); 
    </script>   


<?php wp_footer(); ?>
   <?php
    if(get_theme_mod('back_top_btn_on_off') != 'on' ){
  ?>
<a id="back2Top" title="Back to top" href="#"> &#10148; </a>
 <?php } ?> 
</body>
</html>