<?php 
//Bottom Header
    $wp_customize->add_section( 'peccular_footer_setting' , array(
        'title'    => __( 'Footer Setting', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel1'
    ) );

   $wp_customize->add_setting('peccular_footer_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_footer_nav', array(
       'section' => 'peccular_footer_setting',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_footer_copyrighttext',
                'peccular_ftrBtmLogo_image',
                'peccular_FooterBottomContent_lbl',
                'peccular_btmftrcontform_maintitle',
                'peccular_ftrBtm_form_shortcode',
                'peccular_ftrBtm_socialIcon_display',
                'peccular_footer_fb',
                'peccular_footer_whatsapp',
                'peccular_footer_tw',
                'peccular_footer_youtube',
                'peccular_footer_linkdin',
                'peccular_footer_pinterest',
                'peccular_footer_instagram'
                
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                      
                 'peccular_footer_section_bg_color',
                'peccular_footer_section_bg_image',
                'peccular_footer_image_opacity',
                'peccular_footer_box_align', 
                'peccular_footer_copyright_align',   
                'peccular_footer_onload_effects',  
                'peccular_footer_heading_color',
                'peccular_footer_headingbtmbrder_color',
                'peccular_footer_text_color',
                'peccular_footer_icon_color',
                'peccular_footer_sicon_color',
                'peccular_footer_siconhover_color',
                'peccular_footer_menu_color',
                'peccular_footer_activemenu_color',
                'peccular_footer_phoneemailtxt_color',                       
                'peccular_footer_phoneemailhv_color',
                'peccular_footer_bttmtext_color', 
                'peccular_footer_phoneemailicon_color',
                'peccular_footer_phoneemailiconhv_color',
                'peccular_footer_phoneemailiconbg_color',
                'peccular_footer_phoneemailiconbghv_color',
                'peccular_footer_menuicon_color',
                'peccular_contact_btnhovtext_color',
                'peccular_footer_fotrbtmbrdr_color',
                'peccular_FooterBottomContentColor_lbl',
                'peccular_footerbtm_formTitle_color',
                'peccular_footerbtm_formFldtext_color',
                'peccular_footerbtm_menus_color',
                'peccular_footerbtm_menushvractiv_color',
                'peccular_footerbtm_menusHover_color',
                'peccular_footerbtm_formFldborder_color',
                'peccular_footerbtm_formbtnText_color',
                'peccular_footerbtm_formbtnBG_color',
                'peccular_footerbtm_socialIcon_color',
                'peccular_footerbtm_socialIconHover_color',
                'peccular_footerbtm_copyrightText_color',
                'peccular_footerbtm_copyrightTextBG_color'
                
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_footer_padding',
                'peccular_footer_section_top_t_padding',
                'peccular_footer_section_top_b_padding',
                'peccular_footer_padding1',
                'peccular_footer_section_bottom_t_padding',
                'peccular_footer_section_bottom_b_padding',     
                'peccular_footer_section_width'
            ),
         )
        ),
    )));

    $wp_customize->add_setting('peccular_FooterBottomContent_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_FooterBottomContent_lbl',
        array(
            'settings'      => 'peccular_FooterBottomContent_lbl',
            'section'       => 'peccular_footer_setting',
            'label'         => __( 'Bottom Footer Setting : ', 'peccular' ),
        )
    )
); 

        $wp_customize->add_setting( 'peccular_ftrBtmLogo_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_ftrBtmLogo_image', array(
        'label' => __('Logo','peccular'),
       'section' => 'peccular_footer_setting',
    )));

$wp_customize->add_setting(
    'peccular_btmftrcontform_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'GET REGULAR DISCOUNT TO YOUR EMAIL', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_btmftrcontform_maintitle',
    array(
        'settings'      => 'peccular_btmftrcontform_maintitle',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Form Title', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_ftrBtm_form_shortcode',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Add Form [SHORTCODE] Here', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_ftrBtm_form_shortcode',
    array(
        'settings'      => 'peccular_ftrBtm_form_shortcode',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Form Shortcode', 'peccular' )
    )
);

    // to show & hide Heading Image
$wp_customize->add_setting( 'peccular_ftrBtm_socialIcon_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_ftrBtm_socialIcon_display', array( 'label' => 'Social Icons Display', 'section' => 'peccular_footer_setting', 'settings' => 'peccular_ftrBtm_socialIcon_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Social Icons', 'hide' => 'Hide Social Icons', ), ) );  

$wp_customize->add_setting(
    'peccular_footer_whatsapp', 
    array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control(
    'peccular_footer_whatsapp',
    array(
        'settings'      => 'peccular_footer_whatsapp',
        'section'       => 'peccular_footer_setting',
        'type'          => 'url',
        'label'         => __( 'Add WhatsApp Link Here', 'peccular-premium' )
    )
);  


$wp_customize->add_setting(
    'peccular_footer_fb', 
    array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control(
    'peccular_footer_fb',
    array(
        'settings'      => 'peccular_footer_fb',
        'section'       => 'peccular_footer_setting',
        'type'          => 'url',
        'label'         => __( 'Add Facebook Link Here', 'peccular-premium' )
    )
);  


$wp_customize->add_setting(
    'peccular_footer_tw', 
    array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control(
    'peccular_footer_tw',
    array(
        'settings'      => 'peccular_footer_tw',
        'section'       => 'peccular_footer_setting',
        'type'          => 'url',
        'label'         => __( 'Add Twitter Link Here', 'peccular-premium' )
    )
);  


$wp_customize->add_setting(
    'peccular_footer_youtube', 
    array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control(
    'peccular_footer_youtube',
    array(
        'settings'      => 'peccular_footer_youtube',
        'section'       => 'peccular_footer_setting',
        'type'          => 'url',
        'label'         => __( 'Add Youtube Link Here', 'peccular-premium' )
    )
);  


$wp_customize->add_setting(
    'peccular_footer_linkdin', 
    array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control(
    'peccular_footer_linkdin',
    array(
        'settings'      => 'peccular_footer_linkdin',
        'section'       => 'peccular_footer_setting',
        'type'          => 'url',
        'label'         => __( 'Add Linkdin Link Here', 'peccular-premium' )
    )
);  


$wp_customize->add_setting(
    'peccular_footer_pinterest', 
    array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control(
    'peccular_footer_pinterest',
    array(
        'settings'      => 'peccular_footer_pinterest',
        'section'       => 'peccular_footer_setting',
        'type'          => 'url',
        'label'         => __( 'Add Pinterest Link Here', 'peccular-premium' )
    )
);  


$wp_customize->add_setting(
    'peccular_footer_instagram', 
    array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control(
    'peccular_footer_instagram',
    array(
        'settings'      => 'peccular_footer_instagram',
        'section'       => 'peccular_footer_setting',
        'type'          => 'url',
        'label'         => __( 'Add Instagram Link Here', 'peccular-premium' )
    )
);  


$wp_customize->add_setting(
    'peccular_footer_copyrighttext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '©2014 - 2023 super market All Rights Reserved', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_footer_copyrighttext',
    array(
        'settings'      => 'peccular_footer_copyrighttext',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Copyright', 'peccular' ),
         'input_attrs' => array(
            'readonly' => 'readonly',
        ),
    )
);

//backgroundManager($wp_customize, 'footer', 'peccular_footer_setting', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting( 'peccular_footer_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_footer_section_bg_color', array(
        'label' => __('Background Color','peccular'),
       'section' => 'peccular_footer_setting',
    )));

    $wp_customize->add_setting( 'peccular_footer_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_footer_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_footer_setting',
    )));

     $wp_customize->add_setting('peccular_footer_image_opacity',array(
        'default' => 0.3,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_footer_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_footer_setting',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

  $wp_customize->add_setting('peccular_footer_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_footer_onload_effects',array(
        'type' => 'select',
        'label' => __('Section Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_footer_setting',
    ));

$wp_customize->add_setting('peccular_footer_box_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_footer_box_align',array(
        'type' => 'select',
        'label' => __('Content Box Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_footer_setting',
    ));

       $wp_customize->add_setting('peccular_footer_copyright_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_footer_copyright_align',array(
        'type' => 'select',
        'label' => __('Copyright Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_footer_setting',
    ));

addColorPalatOption($wp_customize, 'peccular_footer_heading_color', 'peccular_footer_setting', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_headingbtmbrder_color', 'peccular_footer_setting', 'Heading Bottom Border Color', '');

addColorPalatOption($wp_customize, 'peccular_footer_text_color', 'peccular_footer_setting', 'Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_sicon_color', 'peccular_footer_setting', 'Social Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_siconhover_color', 'peccular_footer_setting', 'Social Icon Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_footer_menu_color', 'peccular_footer_setting', 'Menu Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_activemenu_color', 'peccular_footer_setting', 'Active Menu Color ', '');

addColorPalatOption($wp_customize, 'peccular_footer_fotrbtmbrdr_color', 'peccular_footer_setting', 'Footer Bottom Border Color ', '');
    $wp_customize->add_setting('peccular_FooterBottomContentColor_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_FooterBottomContentColor_lbl',
        array(
            'settings'      => 'peccular_FooterBottomContentColor_lbl',
            'section'       => 'peccular_footer_setting',
            'label'         => __( 'Bottom Footer Colors : ', 'peccular' ),
        )
    )
); 
addColorPalatOption($wp_customize, 'peccular_footerbtm_menus_color', 'peccular_footer_setting', 'Menus Color ', '');
addColorPalatOption($wp_customize, 'peccular_footerbtm_menushvractiv_color', 'peccular_footer_setting', 'Menus Active Color ', '');
addColorPalatOption($wp_customize, 'peccular_footerbtm_menusHover_color', 'peccular_footer_setting', 'Menus Hover Color ', '');

addColorPalatOption($wp_customize, 'peccular_footerbtm_formTitle_color', 'peccular_footer_setting', 'Form Title Color ', '');
addColorPalatOption($wp_customize, 'peccular_footerbtm_formFldtext_color', 'peccular_footer_setting', 'Form Field Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_footerbtm_formFldborder_color', 'peccular_footer_setting', 'Form Field Border Color ', '');
addColorPalatOption($wp_customize, 'peccular_footerbtm_formbtnText_color', 'peccular_footer_setting', 'Form Button Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_footerbtm_formbtnBG_color', 'peccular_footer_setting', 'Form Button BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_footerbtm_socialIcon_color', 'peccular_footer_setting', 'Social Icon Color ', '');
addColorPalatOption($wp_customize, 'peccular_footerbtm_socialIconHover_color', 'peccular_footer_setting', 'Social Icon Hover Color ', '');
addColorPalatOption($wp_customize, 'peccular_footerbtm_copyrightText_color', 'peccular_footer_setting', 'Copyright Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_footerbtm_copyrightTextBG_color', 'peccular_footer_setting', 'Copyright Text BG Color ', '');







    $wp_customize->add_setting('peccular_footer_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_footer_padding',array(
      'label' => __('Top Footer Padding','peccular'),
      'section' => 'peccular_footer_setting'
   ));

    $wp_customize->add_setting('peccular_footer_section_top_t_padding',array(
        'default' => '6',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_footer_section_top_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_footer_setting',
    ));
     $wp_customize->add_setting('peccular_footer_section_top_b_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_footer_section_top_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_footer_setting',
    ));
 
    $wp_customize->add_setting('peccular_footer_padding1',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_footer_padding1',array(
      'label' => __('Bottom Footer Padding','peccular'),
      'section' => 'peccular_footer_setting'
   ));

    $wp_customize->add_setting('peccular_footer_section_bottom_t_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_footer_section_bottom_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_footer_setting',
    ));
     $wp_customize->add_setting('peccular_footer_section_bottom_b_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_footer_section_bottom_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_footer_setting',
    ));

    $wp_customize->add_setting('peccular_footer_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_footer_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_footer_setting',
    ));
?>