<?php
       
//faq
           function faqShortcode($isHome = 0) {
            global $query;

            $args = array('post_type' => 'our-faq');

            if (!empty($pageId)) {
                $args['page_id'] = absint($pageId);
            } else {
                $args['paged'] = max(1, get_query_var('paged'));
            }
 
            if(!empty($isHome) && $isHome == 1){
                $cols = get_theme_mod('faq_section_npp_count', 5);
                $cols++;
                $args['posts_per_page'] = $cols;
            }else{
                $args['posts_per_page'] = (!empty($args['posts_per_page'])) ? $args['posts_per_page'] : -1;
         // $cols = 5;
            }
            $faqPageId = get_theme_mod('faq_section_page_link');
            $query = new WP_Query($args);
            ob_start();
    // print_r($query);
            echo '<div class="faq">
            <div class="row"> ';
            if ($query->have_posts()){
                while ($query->have_posts()) : $query->the_post();
                    $post = get_post();
                    ?>
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 " data-wow-duration="1s">
                        <div class="faq-content accordion">
                            <div class="bxBorder">
                         <button class="accordion"> <h3 class="faq-title"><?php the_title(); ?></h3></button>
                         <div class="panel wow zoomIn">
                            <div class="faq-description"> <p><?php
                                   if(!empty($isHome) && $isHome==1){
                                    if (has_excerpt()) {
                                        echo get_the_excerpt();
                                    } else {
                                       echo get_the_content();
                                   }
                                       
                               }else{
                                echo get_the_content();
                            }?></p>
                            </div>
                        </div>
                    </div>
                    </div>
                </div>
            <?php
        endwhile;
        }else{
        for($i=0; $i<$cols; $i++){
        ?>
            <div class="col-md-12 faq-content">
                <h6 class="faq-title">Lorem Ipsum is simply dummy text of the printing and typesetting industry?</h6>
                <div class="faq-description">
                    <p><?php
                    if(!empty($isHome) && $isHome==1){
                        ?>
                        Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. Lorem Ipsum is simply dummy text of the printing  typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s. Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s.
                        <br>
                        <?php
                                // if(!empty($faqPageId)){
                                //     echo '<a href="'.get_permalink($faqPageId).'">Read More..</a>';
                                // }else{
                                //     echo '<a href="'.get_permalink($faqPageId).'">Read More..</a>';
                                // }
                    }else{
                        ?>
                        Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. Lorem Ipsum is simply dummy text of the printing  typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s. Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s.

                        Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. Lorem Ipsum is simply dummy text of the printing  typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s. Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s.
                        <?php
                    }?>
                </p>
            </div>  
    </div>
    <?php
}
}
echo '<div class="clearfix"></div>
</div>
<div class="clearfix"></div>
</div>';
?>

<script>
    var acc = document.getElementsByClassName("accordion");
    var i;

    for (i = 0; i < acc.length; i++) {
        acc[i].onclick = function(){
            this.classList.toggle("active");
            this.nextElementSibling.classList.toggle("show");
        }
    }
</script>
<?php
$text = ob_get_contents();
ob_clean();
ob_end_flush();
wp_reset_postdata();
    // echo $text;
return $text;
}

/**
 * Use for the show the testimonials at home page and in testimonial page with shortcode
 * @param int $pageId default is null the id of a post
 * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
 * @param int $i default null
 * @param boolean $showStaticVals default is false
 * @return string
 * @author peccular <support@peccular.com>
 * */
function testimonialShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-testimonial');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_testimonials_npp_count', 1);
    $cols++;
    switch($cols){
        
            }
           $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');     
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $peccular_testimonials_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');


     if ($isCustomizer === true) {
            $testimonial_area_designation = get_theme_mod('testimonial_area_designation' . $i);
        } else {
            $testimonial_area_designation = '';
        }

        $post = get_post();

            //designation
        $designation = get_post_meta($post->ID, 'designation', false);
        $testimonial_area_designation = !empty($designation[0]) ? $designation[0] : '';
            ?>
           
            <div class="item">
                <div class="peccular-testimonials-single <?php echo esc_attr(get_theme_mod('peccular_testimonials_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s"  style="text-align : <?php if(get_theme_mod('peccular_testimonials_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_testimonials_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_testimonials_box_align','Right') == 'Right'){ ?> right <?php } ?> "> 

                    <div class="peccular-testimonials-content">
                            <div class="peccular-testimonials-contentbox">
                                <i class="fa fa-quote-right" aria-hidden="true"></i>
                            </div>
                          
                         
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="row">
                     <div class="col-lg-4 col-md-6 col-sm-12 col-xs-12 pd-0"> 
                     
                            <div class="peccular-testimonials-image">
                                <img src="<?php echo (!empty($peccular_testimonials_image[0])) ? $peccular_testimonials_image[0] : get_template_directory_uri() . '/images/feature.jpg' ?>" class="img-responsive" alt="<?php the_title(); ?>" />
                            </div>
                     </div>  
                    <div class="col-lg-8 col-md-6 col-sm-12 col-xs-12 pd-0">
                        <div class="testi-content">
                            <h4 class="peccular-testimonials-name" style="text-transform : <?php if(get_theme_mod('peccular_testimonials_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_testimonials_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_testimonials_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></h4>
                            <h6 class="peccular-testimonials-designation"><?php echo ($testimonial_area_designation); ?></h6>
                        </div>
                                                
                    </div>
                </div>
                <div class="clearfix"></div> 
                 <p> <?php
                            // if (has_excerpt()) {
                            //     echo get_the_excerpt();
                            // } else {
                            //     echo get_the_content();
                            // }
                             echo wp_trim_words(get_the_content(), 20); 
                            ?>                                
                            </p>   
            </div>                      
                     
                 </div>
            </div> 
            </div>      

        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

/**
 * Use for the show the team at home page and in testimonial page with shortcode
 * @param int $pageId default is null the id of a post
 * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
 * @param int $i default null
 * @param boolean $showStaticVals default is false
 * @return string
 * @author peccular <support@peccular.com>
 * */
function teamShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-team');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_team_npp_count', 3);
    $cols++;
    switch($cols){        
        case 1:
        $colCls = 'col-lg-12 col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-lg-3 col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-3 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-3 col-md-6 col-sm-6 col-xs-12';
        break;
            }
           $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');

// }

    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $peccular_team_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');


        if ($isCustomizer === true) {
            $team_area_experience = get_theme_mod('team_area_experience' . $i);           
            $team_area_designation = get_theme_mod('team_area_designation' . $i);
            $team_area_facebook = get_theme_mod('team_area_facebook' . $i);
            $team_area_twitter = get_theme_mod('team_area_twitter' . $i);
            $team_area_instagram = get_theme_mod('team_area_instagram' . $i);
            $team_area_pinterest = get_theme_mod('team_area_pinterest' . $i);
        } else {
            
            $team_area_experience = '';
            $team_area_designation = '';
            $team_area_facebook = '';
            $team_area_twitter = '';
            $team_area_instagram = '';
            $team_area_pinterest= '';
        }

        $post = get_post();

        $teamFacebook = get_post_meta($post->ID, 'teamFacebook', false);
        $team_area_facebook = !empty($teamFacebook[0]) ? $teamFacebook[0] : '';

        $teamTwitter = get_post_meta($post->ID, 'teamTwitter', false);
        $team_area_twitter = !empty($teamTwitter[0]) ? $teamTwitter[0] : '';

        $teamInstagram = get_post_meta($post->ID, 'teamInstagram', false);
        $team_area_instagram = !empty($teamInstagram[0]) ? $teamInstagram[0] : '';

        $teamPinterest = get_post_meta($post->ID, 'teamPinterest', false);
        $team_area_pinterest = !empty($teampinterest[0]) ? $teampinterest[0] : '';

        //designation
        $designation = get_post_meta($post->ID, 'designation', false);
        $team_area_designation = !empty($designation[0]) ? $designation[0] : '';

        //experience
        $teamExperience = get_post_meta($post->ID, 'teamExperience', false);
        $team_area_experience = !empty($teamExperience[0]) ? $teamExperience[0] : '';
            ?>
            
            <!-- <div class="item"> -->
                <div class="col-lg-3 col-md-6 col-sm-6 col-xs-12 peccular-team-box">
                     <div class="teams">
                    <div class="teams_click">
                <div class="peccular-team-single  <?php echo esc_attr(get_theme_mod('peccular_team_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_team_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_team_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_team_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
                
                  
                        <div class="peccular-team-image">
                            <img class="team_img" src="<?php echo (!empty($peccular_team_image[0])) ? $peccular_team_image[0] : get_template_directory_uri() . '/images/team5.jpg' ?>" class="img-responsive" alt="<?php the_title(); ?>"  style="height: <?php echo esc_attr(get_theme_mod('peccular_teaminnerpage_post_image_height','270')) ?>px;" alt=""/>                            
                        </div>   

                <div class="peccular-team-content">
                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1440 320"><path fill="#a568e4" fill-opacity="1" d="M0,64L48,58.7C96,53,192,43,288,48C384,53,480,75,576,117.3C672,160,768,224,864,256C960,288,1056,288,1152,256C1248,224,1344,160,1392,128L1440,96L1440,320L1392,320C1344,320,1248,320,1152,320C1056,320,960,320,864,320C768,320,672,320,576,320C480,320,384,320,288,320C192,320,96,320,48,320L0,320Z"></path></svg> 
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 pd-0 svgpadding"> 
                    <div class="row md-0">
                    <div class="col-lg-10 col-md-10 col-sm-4 col-xs-4 pd-0 tpadding">     
                        <h4 id="<?php the_title(); ?>" class="team_name peccular-team-name" style="text-transform : <?php if(get_theme_mod('peccular_team_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_team_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_team_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></h4>

                        <h6 id="<?php echo ($team_area_designation); ?>" class="team_designation peccular-team-designation"><?php echo ($team_area_designation); ?></h6>  

                      <!--  <h6 id="<?php //echo ($team_area_experience); ?>" class="team_experience peccular-team-experience"><?php //echo ($team_area_experience); ?></h6>  
                        <div id="<?php //echo get_the_content(); ?>" class="team_content"><?php //the_content(); ?></div>  --> 

                    </div>
                    <div class="col-lg-2 col-md-2 col-sm-1 col-xs-1 pd-0"> 
                        <?php
                                if(get_theme_mod('team_socials_on_off') != 'on' ){
                            ?>
                            <?php if ($team_area_facebook || $team_area_twitter || $team_area_instagram || $team_area_pinterest) { ?>
                            <div class="peccular-team-social-icon">
                                 
                                <?php if ($team_area_twitter) { ?>
                                     <a id="<?php ($team_area_twitter); ?>" class="team_socialicon" target="_blank" href="<?php echo esc_url($team_area_twitter) ?>" ><i class="fa fa-twitter"></i></a>
                                <?php } ?>
                                <?php if ($team_area_facebook) { ?>
                                    <a id="<?php echo ($team_area_facebook); ?>" class="team_socialicon" target="_blank" href="<?php echo esc_url($team_area_facebook) ?>">
                                    <i class="fa fa-facebook"></i></a>
                                <?php } ?>
                                 <?php if ($team_area_instagram) { ?>
                                    <a id="<?php echo ($team_area_instagram); ?>" class="team_socialicon" target="_blank" href="<?php echo esc_url($team_area_instagram) ?>" ><i class="fa fa-instagram"></i></a> 
                                <?php } ?>
                                <?php if ($team_area_pinterest) { ?>
                                    <a id="<?php echo ($team_area_pinterest); ?>" class="team_socialicon" target="_blank" href="<?php echo esc_url($team_area_pinterest) ?>" ><i class="fa fa-pinterest-p"></i></a> 
                                <?php } ?>
                            </div>
                             
                            <?php } ?> 
                            <?php } ?> 
                       </div>
                       </div>
                       <div class="clearfix"></div>
                       </div>   
                       <div class="clearfix"></div>   

                        </div> 
                    </div>
                </div>                   
             </div>
              <!-- popup open -->
            <div class="popup"></div>

            <div class="popup_content">

                <i class="fa fa-window-close popup_close"></i>

                <div class="popup_left">
                  <img class="popup_img" src="" alt="">
                </div>

                <div class="popup_right">
                  <div class="detail">
                       
                        <?php if ($team_area_twitter) { ?>
                        <a id="<?php echo ($team_area_twitter); ?>" class="team_socialicon" target="_blank" href="<?php echo esc_url($team_area_twitter) ?>" ><i class="fa fa-twitter"></i></a>
                        <?php } ?>  
                         <?php if ($team_area_facebook) { ?>     
                        <a id="<?php echo ($team_area_facebook); ?>" class="team_socialicon" target="_blank" href="<?php echo esc_url($team_area_facebook) ?>">
                                    <i class="fa fa-facebook"></i></a>

                        <?php } ?> 
                        <?php if ($team_area_instagram) { ?>       
                        <a id="<?php echo ($team_area_instagram); ?>" class="team_socialicon" target="_blank" href="<?php echo esc_url($team_area_instagram) ?>" ><i class="fa fa-instagram"></i></a>    
                         <?php } ?>  

                         <?php if ($team_area_pinterest) { ?>       
                        <a id="<?php echo ($team_area_pinterest); ?>" class="team_socialicon" target="_blank" href="<?php echo esc_url($team_area_pinterest) ?>" ><i class="fa fa-pinterest-p"></i></a>    
                         <?php } ?>  
                       
                        <!-- <h4 class="detail_name"></h4> -->
                        <h5 class="detail_designation"></h5>
                        <h6 class="detail_experience"></h6>
                        <div class="detail_content"></div>

                  </div>
                </div>

            </div><!--popup end -->
         </div>
     
            <!-- </div> -->
        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

/**
 * Use for the show the team at home page and in testimonial page with shortcode
 * @param int $pageId default is null the id of a post
 * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
 * @param int $i default null
 * @param boolean $showStaticVals default is false
 * @return string
 * @author peccular <support@peccular.com>
 * */
function teaminnerpageShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-team');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_team_npp_count', 4);
    $cols++;
    switch($cols){
        
            }
           $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');     
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0; ?>

        <div class="row"> <?php

        while ($query->have_posts()) : $query->the_post();
            $peccular_team_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');

     if ($isCustomizer === true) {
            $team_area_experience = get_theme_mod('team_area_experience' . $i);           
            $team_area_designation = get_theme_mod('team_area_designation' . $i);
            $team_area_facebook = get_theme_mod('team_area_facebook' . $i);
            $team_area_twitter = get_theme_mod('team_area_twitter' . $i);
            $team_area_instagram = get_theme_mod('team_area_instagram' . $i);
        } else {
            
            $team_area_experience = '';
            $team_area_designation = '';
            $team_area_facebook = '';
            $team_area_twitter = '';
            $team_area_instagram = '';
        }

        $post = get_post();

        $teamFacebook = get_post_meta($post->ID, 'teamFacebook', false);
        $team_area_facebook = !empty($teamFacebook[0]) ? $teamFacebook[0] : '';

        $teamTwitter = get_post_meta($post->ID, 'teamTwitter', false);
        $team_area_twitter = !empty($teamTwitter[0]) ? $teamTwitter[0] : '';

        $teamInstagram = get_post_meta($post->ID, 'teamInstagram', false);
        $team_area_instagram = !empty($teamInstagram[0]) ? $teamInstagram[0] : '';

            //designation
        $designation = get_post_meta($post->ID, 'designation', false);
        $team_area_designation = !empty($designation[0]) ? $designation[0] : '';

        //experience
        $teamExperience = get_post_meta($post->ID, 'teamExperience', false);
        $team_area_experience = !empty($teamExperience[0]) ? $teamExperience[0] : '';
            ?>
            <div class="col-lg-4 col-md-6 col-sm-6 col-xs-12 peccular-team-area">

            <div class="peccular-team-single  <?php echo esc_attr(get_theme_mod('peccular_team_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align: center;">
                <div class="teams">
                    <div class="teams_click">
                        <div class="peccular-team-image">
                            <div class="item-img">
                            <img class="team_img" src="<?php echo (!empty($peccular_team_image[0])) ? $peccular_team_image[0] : get_template_directory_uri() . '/images/team.jpg' ?>" class="img-responsive" alt="<?php the_title(); ?>"  style="height: <?php echo esc_attr(get_theme_mod('peccular_teaminnerpage_post_image_height','427')) ?>px;" alt=""/>
                        </div>
                            
                        <div class="peccular-team-content">
                            <h4 id="<?php the_title(); ?>" class="team_name peccular-team-name" style="text-transform : <?php if(get_theme_mod('peccular_team_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_team_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_team_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></h4>

                        <h5 id="<?php echo ($team_area_designation); ?>" class="team_designation peccular-team-designation"><?php echo ($team_area_designation); ?></h5>  

                       <h6 id="<?php echo ($team_area_experience); ?>" class="team_experience peccular-team-experience"><?php //echo ($team_area_experience); ?></h6> 

                    <div id="<?php echo get_the_content(); ?>" class="team_content"><?php //the_content(); ?></div>   

                    <?php
                                if(get_theme_mod('team_socials_on_off') != 'on' ){
                            ?>
                            <?php if ($team_area_facebook || $team_area_twitter || $team_area_instagram) { ?>
                            <div class="peccular-team-social-icon">
                                <?php if ($team_area_twitter) { ?>
                                     <a id="<?php ($team_area_twitter); ?>" class="team_socialicon" target="_blank" href="<?php echo esc_url($team_area_twitter) ?>" ><i class="fa fa-twitter"></i></a>
                                <?php } ?>
                                <?php if ($team_area_facebook) { ?>
                                    <a id="<?php echo ($team_area_facebook); ?>" class="team_socialicon" target="_blank" href="<?php echo esc_url($team_area_facebook) ?>">
                                    <i class="fa fa-facebook"></i></a>
                                <?php } ?>
                                 <?php if ($team_area_instagram) { ?>
                                    <a id="<?php echo ($team_area_instagram); ?>" class="team_socialicon" target="_blank" href="<?php echo esc_url($team_area_instagram) ?>" ><i class="fa fa-instagram"></i></a> 
                                <?php } ?>
                             </div> 
                            <?php } ?> 
                            <?php } ?> 
                        </div>  

                        </div> 

                    </div>
                </div>
            </div>

            <!-- popup open -->
            <div class="popup"></div>

            <div class="popup_content">

                <i class="fa fa-window-close popup_close"></i>

                <div class="popup_left">
                  <img class="popup_img" src="" alt="">
                </div>

                <div class="popup_right">
                  <div class="detail">
                       
                        <?php if ($team_area_twitter) { ?>
                        <a id="<?php echo ($team_area_twitter); ?>" class="team_socialicon" target="_blank" href="<?php echo esc_url($team_area_twitter) ?>" ><i class="fa fa-twitter"></i></a>
                        <?php } ?>  
                         <?php if ($team_area_facebook) { ?>     
                        <a id="<?php echo ($team_area_facebook); ?>" class="team_socialicon" target="_blank" href="<?php echo esc_url($team_area_facebook) ?>">
                                    <i class="fa fa-facebook"></i></a>

                        <?php } ?> 
                        <?php if ($team_area_instagram) { ?>       
                        <a id="<?php echo ($team_area_instagram); ?>" class="team_socialicon" target="_blank" href="<?php echo esc_url($team_area_instagram) ?>" ><i class="fa fa-instagram"></i></a>    
                         <?php } ?>  
                        <h4 class="detail_name"></h4>
                        <h5 class="detail_designation"></h5>
                        <h6 class="detail_experience"></h6>
                        <div class="detail_content"></div>
                  </div>
                </div>

            </div>

        </div>
        <?php
    endwhile; ?>
     <div class="clearfix"></div>
    </div> <?php
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

function servicesShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_service_number',3);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-3 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-3 col-md-6 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');
                $post = get_post();

                ?>
                <div class="<?php echo $colCls;?> padding-0">
                           <div  service-match-height="groupName" class="peccular-service-box <?php echo esc_attr(get_theme_mod('peccular_service_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
                               <!--  -->
                                 <div class="peccular-service-image">
                                    <a href="<?php the_permalink(); ?>">
                                        <?php
                                        if (has_post_thumbnail()) {
                                            $image_url = $peccular_image[0];
                                        } else {
                                            $image_url = get_template_directory_uri() . '/images/service1.jpg';
                                        }
                                        ?>   
                                        <img class="peccular-service-img" src="<?php echo esc_url($image_url); ?>" alt="service" style="height: <?php echo esc_attr(get_theme_mod('peccular_services_post_image_height','460')) ?>px;" />
                                    </a>
                                
                                <div class="peccular-service-content" style="text-align: <?php if(get_theme_mod('peccular_services_content_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_services_content_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_services_content_align','Right') == 'Right'){ ?> right <?php } ?> ">
                                    <h4><a href="<?php the_permalink(); ?>" style="text-transform : <?php if(get_theme_mod('peccular_service_title_case','None') == 'None'){ ?> none <?php } elseif(get_theme_mod('peccular_service_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_service_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_service_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></a>
                                    </h4>                                   
                                        <div class="clearfix"></div>
                                </div>
                                <div class="image-bttom-border"></div>
                                </div><!-- peccular-service-image -->
                                     <div class="clearfix"></div>
                                <div class="peccular-service-contenttext">
                                    <p><?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_services_post_excerpt','20')) ) ); ?></p>
                                 </div>
                            </div>                            
                  
      <script>
    var matchHeight = function () {
    
    function init() {
        eventListeners();
        matchHeight();
    }
    
    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }
    
    function matchHeight(){
        var groupName = $('[service-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };
    
    return {
        init: init
    };
    
} ();

$(document).ready(function() {
    matchHeight.init();
});
</script>

      </div>
        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

function servicesInnerpgeShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_service_number',5);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;
               ?> 
            <div class="row">
            <?php

            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');

                 if ($isCustomizer === true) {
                    $service_area_designation = get_theme_mod('service_area_designation' . $i);
                } else {
                    $service_area_designation = '';
                }


                $post = get_post();

                    //designation
                $designation = get_post_meta($post->ID, 'designation', false);
                $service_area_designation = !empty($designation[0]) ? $designation[0] : '';

                ?>
                <div class="<?php echo $colCls;?>">
                    <div  service-match-height="groupName" class="peccular-service-box <?php echo esc_attr(get_theme_mod('peccular_service_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">                                       
                    <div class="peccular-service-content" style="text-align: <?php if(get_theme_mod('peccular_services_page_content_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_services_page_content_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_services_page_content_align','Right') == 'Right'){ ?> right <?php } ?> ">  
                        <div class="service-images">
                        <i class="fa fa-users" aria-hidden="true"></i>
                         <?php
                            if (has_post_thumbnail()) {
                            $image_url = $peccular_image[0];
                            } else {
                            $image_url = get_template_directory_uri() . '/images/service1.jpg';
                            }
                        ?> 
                         <?php
                        if(get_theme_mod('service_featured_img_on_off') != 'on' ){
                      ?>  
                      <a href="<?php the_permalink(); ?>">
                         <img class="peccular-service-img" src="<?php echo esc_url($image_url); ?>" alt="service" style="height: <?php echo esc_attr(get_theme_mod('peccular_services_post_image_height','auto')) ?>px;" />
                     </a>
                     <?php } ?>
                        </div>
                                        
                            <div class="clearfix"></div> 
                         <div class="service-content2">      
                            <h4><a href="<?php the_permalink(); ?>" style="text-transform : <?php if(get_theme_mod('peccular_service_page_title_case','capitalize') == 'capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_service_page_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_service_page_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></a>
                            </h4>
                                   <div class="clearfix"></div>

                            <p><?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_services_post_excerpt','20')) ) ); ?>
                                            
                            </p>         
                                <?php
                                    $peccular_serviceinn_button_text = get_theme_mod('peccular_serviceinn_button_text', 'Read more'); 
                                ?>
                            <?php if( get_theme_mod('peccular_erviceinn_button_enable',true) == true){ ?>
                                <a href="<?php the_permalink(); ?>" class="service-view-btn"><?php echo ($peccular_serviceinn_button_text );  ?>
                                 </a>

                            <?php }?>
                             <div class="clearfix"></div>
                        </div> 
                         <div class="clearfix"></div> 
                                    
                        </div>                        

                            <div class="clearfix"></div>
                                                                
                            </div>                            
                  
      <script>
    var matchHeight = function () {
    
    function init() {
        eventListeners();
        matchHeight();
    }
    
    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }
    
    function matchHeight(){
        var groupName = $('[service-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };
    
    return {
        init: init
    };
    
} ();

$(document).ready(function() {
    matchHeight.init();
});
</script>

      </div>
       <?php
    endwhile;
    ?>
    <div class="clearfix"></div>
    </div>
    <?php
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

    /**
     * Use for the show the pricing at home page and in pricing page with shortcode
     * @param int $pageId default is null the id of a post
     * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
     * @param int $i default null
     * @param boolean $showStaticVals default is false
     * @return void
     * @author peccular <support@peccular.com>
     * */
    function pricingShortcode() {
      ob_start();
      $cols = get_theme_mod('peccular_pricing_npp_count', 2);
      $cols++;
      switch ($cols) {
        case 1:
            $colCls = 'col-lg-12 col-md-12 col-sm-12 col-xs-12';
            break;
            case 2: 
            $colCls = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
            break;
            case 3:
            case 5:
            case 6:
            case 9:
            case 11:
            case 13:
            case 15:
            $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
            break;
            default: 
            $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
            break;
    }

    $showStatic = true;
    for ($i = 1; $i <= $cols; $i++) {
        $peccular_PlanPageId = get_theme_mod('peccular_pricing_plan_page_' . $i);
        $peccular_pricing_page_icon = get_theme_mod('peccular_pricing_plan_page_icon_'.$i);
        $peccular_planTitle  = get_theme_mod('peccular_pricing_plan_name_' . $i, 'STANDARD');
        $peccular_planunit  = get_theme_mod('peccular_pricing_plan_unit_' . $i,'$');
        $peccular_planPrice  = get_theme_mod('peccular_pricing_plan_price_' . $i,'10');
        $peccular_planContent= get_theme_mod('peccular_pricing_plan_content_' . $i, '
            <li><i class="fa fa-check-circle" aria-hidden="true"></i> 50GB DISK SPACE</li>
            <li><i class="fa fa-check-circle" aria-hidden="true"></i> 50 EMAIL ACCOUNTS</li>
            <li><i class="fa fa-check-circle" aria-hidden="true"></i> 50GB BANDWIDTH</li>
            <li><i class="fa fa-check-circle" aria-hidden="true"></i> MAINTENANCE</li>
            <li><i class="fa fa-check-circle" aria-hidden="true"></i> 15 SUBDOMAIN</li>');

        $link = get_theme_mod('peccular_pricing_plan_url'.$i);
        $peccular_url = get_theme_mod('peccular_pricing_plan_url_'.$i, '#');

        if ($peccular_PlanPageId || $peccular_planTitle || $peccular_planunit || $peccular_planPrice || $peccular_planContent || $peccular_url ) {
          $showStatic = false;
          ?> 
          <div class="<?php echo $colCls; ?> pd-0">
            <div class="peccular-pricing-single <?php echo esc_attr(get_theme_mod('peccular_pricing_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s" style="text-align : <?php if(get_theme_mod('peccular_pricing_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_pricing_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_pricing_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
            <div class="peccular-pricing-up"></div>
            <div class="peccular-pricing-box-head">
                <h4 class="peccular-pricing-title" href="#" style="text-transform : <?php if(get_theme_mod('peccular_pricing_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } elseif(get_theme_mod('peccular_pricing_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_pricing_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } ?>">
                    <?php echo ($peccular_planTitle); ?>
                </h4>
                
            </div>

            <div class="peccular-pricing-currency-price"><span><?php echo ($peccular_planunit); ?></span><?php echo ($peccular_planPrice); ?></div>
            <ul class="peccular-pricing-list"> <?php echo ($peccular_planContent); ?></ul>
            
            <?php
            $peccular_pricing_page_id = get_theme_mod('peccular_pricing_page'); 
             $peccular_planbtn  = get_theme_mod('peccular_pricing_plan_btn_' . $i,'Buy now');          
            ?>
                <div class="peccular-pricing-btn">    
                    <a class="btn" href="<?php echo esc_url(!empty($peccular_url)?$peccular_url:'#');?>">
                       <?php echo ($peccular_planbtn); ?>
                    </a>
                </div>
            <!--  <div class="clearfix"></div> -->
        </div>
    </div>
    <?php
    }
}
if ($showStatic === true) {
  for ($i = 1; $i <= $cols; $i++) {
    $link = get_theme_mod('pricing_plan_url'.$i);
    $url = get_theme_mod('pricing_plan_url_'.$i, '#');

    ?>
    <div class="<?php echo $colCls; ?> plan">
      <div class="pricing-plans">

        <div class="price-box">
          <div class="price-bx">

            <div class="plan-cost">$30</div>
        </div>
        <div class="clearfix"></div>
        <h4 class="plan-title">STANDARD</h4>
        <div class="table-content">
        Excepteur sint occaecat cupidatat non proi dent sunt in culpa.
     </div>
     <div class="clearfix"></div>
     <div class="pri-table-link">
      <a class="btn" href="#">DETAILS</a>
  </div>
</div>
<!-- <div class="clearfix"></div> -->
</div>
</div>
<?php
}

}

$pricingHtml = ob_get_contents();
        // echo $pricingHtml;
ob_flush();
ob_clean();
}

function projectShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-project');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_project_npp_count',2);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-3 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-3 col-md-6 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');
                $post = get_post();

                ?>

                <div class="<?php echo $colCls;?> peccular-project-b">
                            <div project-match-height="groupName" class="peccular-project-single <?php echo esc_attr(get_theme_mod('peccular_project_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s" style="text-align : <?php if(get_theme_mod('peccular_project_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_project_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_project_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
                                <a href="<?php the_permalink(); ?>" class="picon">
                                    <div class="peccular-project-img">
                                         <?php
                                                if (has_post_thumbnail()) {
                                                    $image_url = $peccular_image[0];
                                                } else {
                                                    $image_url = get_template_directory_uri() . '/images/services.jpg';
                                                }
                                                ?>                            
                                        <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="project" style="height: <?php echo esc_attr(get_theme_mod('peccular_project_post_image_height','430')) ?>px;" />
                                    </div>
                                </a>
                                <div class="peccular-project-content">
                                    <h4 class="peccular-project-title inner-area-title" style="text-transform : <?php if(get_theme_mod('peccular_project_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_project_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_project_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?>">
                                       <?php the_title(); ?>
                                    </h4>
                                     <p><?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_project_post_excerpt','10')) ) );   ?></p>
                                      <?php
                                             $peccular_project_button_text = get_theme_mod('peccular_project_button_text', 'Read More'); ?>
                                         <?php if( get_theme_mod('peccular_project_button_enable',true) == true){ ?>
                                            <a href="<?php the_permalink(); ?>" class="read-btn"><?php echo ($peccular_project_button_text );  ?></a>

                                        <?php }?>
                                   
                                    <div class="clearfix"></div>
                                </div>
                               
                            </div>
                            
                        </div>
        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

function projectinnerpageShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-project');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_project_npp_count',2);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;
            ?> 
            <div class="row">
            <?php

            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');
                $post = get_post();

                ?>

                <div class="<?php echo $colCls;?> peccular-project-b">
                            <div project-match-height="groupName" class="peccular-project-single <?php echo esc_attr(get_theme_mod('peccular_project_page_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s" style="text-align : <?php if(get_theme_mod('peccular_project_page_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_project_page_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_project_page_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
                                
                                <div class="peccular-project-img">
                                         <?php
                                                if (has_post_thumbnail()) {
                                                    $image_url = $peccular_image[0];
                                                } else {
                                                    $image_url = get_template_directory_uri() . '/images/services.jpg';
                                                }
                                                ?>  
                                        <a href="<?php the_permalink(); ?>" class="picon">                          
                                        <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="project" style="height: <?php echo esc_attr(get_theme_mod('peccular_projectinnerpage_post_image_height','430')) ?>px;" />
                                        
                                        <div class="peccular-project-overlay"></div>
                                        </a>
                                    
                                
                                <div class="peccular-project-content">
                                   <!--  <p><?php //$peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_project_page_post_excerpt','4')) ) ); ?>
                                        
                                    </p> -->

                                    <h4 class="peccular-project-title inner-area-title" style="text-transform : <?php if(get_theme_mod('peccular_project_page_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_project_page_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_project_page_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?>">
                                        <a href="<?php the_permalink(); ?>" > 
                                       <?php the_title(); ?>
                                        </a>
                                    </h4>
                                    <?php
                                    //$peccular_projectinn_button_text = get_theme_mod('peccular_projectinn_button_text', 'View Details'); 
                                    ?>
                                    <?php //if( get_theme_mod('peccular_projectinn_button_enable',true) == true){ ?>
                                            <!-- <a href="<?php //the_permalink(); ?>" class="project-view-btn"><?php //echo ($peccular_projectinn_button_text );  ?></a> -->

                                    <?php //}?>
                                    
                                </div>
                                </div>
                               
                            </div>
                            
                        </div>
        <?php
    endwhile;
    ?>
    <div class="clearfix"></div>
    </div>
    <?php
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

function testimonialinnerpageShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-testimonial');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_testimonials_npp_count',4);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-6 col-md-6 col-sm-12 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
        break;
        }
  
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;
        ?>
         <div class=" row heading_box">
            <?php 
        $peccular_TestimonialInn_maintitle = get_theme_mod('peccular_TestimonialInn_maintitle', 'The Testimonial That Counts !');
        $peccular_TestimonialInn_Text = get_theme_mod('peccular_TestimonialInn_Text', 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by');
        ?>
              <div class="col-md-6 col-sm-6 col-xs-12">
                  <div class="testmnlinnTitle"><?php echo ($peccular_TestimonialInn_maintitle);  ?></div>
              </div>
                
                <div class="col-md-6 col-sm-6 col-xs-12">
                    <div class="testmnlinnText"><?php echo ($peccular_TestimonialInn_Text);  ?></div>
                </div>
                
            </div>
         <div class="row">
        <?php
        while ($query->have_posts()) : $query->the_post();
            $peccular_testimonials_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');


     if ($isCustomizer === true) {
            $testimonial_area_designation = get_theme_mod('testimonial_area_designation' . $i);
        } else {
            $testimonial_area_designation = '';
        }

        $post = get_post();


            //designation
        $designation = get_post_meta($post->ID, 'designation', false);
        $testimonial_area_designation = !empty($designation[0]) ? $designation[0] : '';
            ?>

           
        <div class="<?php echo $colCls;?>">
        <div class="peccular-testimonials-single">
           
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="row">
                <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12 pd-0">
                    <?php
                        if(get_theme_mod('testimonial_featured_img_on_off') != 'on' ){
                      ?>
                    <div class="peccular-testimonials-image">
                        <img src="<?php echo (!empty($peccular_testimonials_image[0])) ? $peccular_testimonials_image[0] : get_template_directory_uri() . '/images/testimonial.jpg' ?>" class="img-responsive" alt="<?php the_title(); ?>" />
                    </div>
                       <?php }?>
                </div>
                <div class="col-lg-8 col-md-8 col-sm-12 col-xs-12 pd-0">
                    <div class="peccular-testimonials-identity">
                         <h4 class="peccular-testimonials-name" style="text-transform : <?php if(get_theme_mod('peccular_testimonials_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } elseif(get_theme_mod('peccular_testimonials_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_testimonials_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } ?> "><?php the_title(); ?>
                             
                         </h4> 
                        <h6 class="peccular-testimonials-designation"><?php echo ($testimonial_area_designation); ?></h6>

                    </div>
                     <i class="fa fa-quote-right" aria-hidden="true"></i>
                </div>
            </div>
            </div> <!-- col 12 --> 
             <div class="clearfix"></div>  

            <?php if (get_theme_mod('testimonial_page_excerpt_display',true) != false){ ?>
           
                    <div class="peccular-testimonials-content"> 
                                                       
                            <p>
                                <?php echo wp_trim_words(get_the_content(), 50); ?>                               
                            </p> 
                    </div> 
                     <?php } ?>
                   
    </div> <!-- peccular-testimonials-single -->
             </div>

        <?php
    endwhile;?>
            <div class="clearfix"></div>
    </div>
    <?php
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

/*------gallery--------*/

function galleryinnerpageShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-gallery');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('gallery_npp_count', 8);  
    ++$cols;
    switch ($cols) {

        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        }

    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;
            ?> 
             
            <div id="products-austrak"> 
               <!--  <div class="row"> -->

            <?php
        while ($query->have_posts()) : $query->the_post();
            $peccular_gallery_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
        
            $post = get_post();

             ?>
        
            <?php
                if (has_post_thumbnail()) {
                    $image_url = $peccular_gallery_image[0];
                } else {
                    $image_url = get_template_directory_uri() . '/images/about1.jpg';
                }
            ?>
         <!--  <div class="<?php echo $colCls;?>">  -->
            <a href="<?php echo esc_url($image_url); ?>" data-sub-html=".caption">              
               <img class="img img-popup" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" style="height: <?php echo esc_attr(get_theme_mod('peccular_galleryinnerpage_post_image_height','260')) ?>px;" /> 
            <div class="overlay">
                <h3>Click Here</h3>                
              </div>
            </a> 
          <!--  </div>   -->
                               
                <?php
            endwhile;
            ?>
       <!--  </div> -->
        </div>
    
            <?php
            $text = ob_get_contents();
            ob_clean();
        endif;
        wp_reset_postdata();
        return $text;
}

add_shortcode('TESTIMONIALS', 'testimonialinnerpageShortCode');
add_shortcode('TEAM', 'teaminnerpageShortCode');
add_shortcode('PROJECT', 'projectinnerpageShortCode');
add_shortcode('SERVICES', 'servicesInnerpgeShortCode');
add_shortcode('FAQS', 'faqShortcode');
add_shortcode('GALLERY', 'galleryinnerpageShortCode');