<?php
/**
 * Createing an banner pannel for customizer
 *
 */

// START banner SECTION 
    $wp_customize->add_section(
        'peccular_banner_section',
        array(
            'title' => __( 'Banner', 'peccular-premium' ),
            'panel' => 'peccular_premium_home_panel1',
            'priority' =>25
        )
    ); 

$wp_customize->add_setting('peccular_banner_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

$wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_banner_nav', array(
       'section' => 'peccular_banner_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_banner_enable',               
                'peccular_banner_button_text1',              
                'peccular_banner_npp_count_heading',
                'peccular_banner_npp_count',
                'peccular_banner_page1',
                'peccular_banner_image1',
                'peccular_bannerimg_note1',
                'peccular_banner_title_1',                
                'peccular_banner_page2',
                'peccular_banner_image2',
                'peccular_banner_title_2',
                'peccular_bannerimg_note2',               
                'peccular_banner_page3',
                'peccular_banner_image3',
                'peccular_bannerimg_note3',
                'peccular_banner_title_3',                
                'peccular_banner_page4',
                'peccular_banner_image4',
                'peccular_bannerimg_note4',
                'peccular_banner_title_4'             
                
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(   
                'peccular_banner_title_case',             
                'peccular_banner_section_bg_color', 
                'peccular_banner_section_bg_image',                     
                'peccular_banner_box_align',
                'peccular_banner_box_onload_effects',
                'peccular_banner_box1_color',
                'peccular_banner_box2_color',                
                'peccular_banner_imgbrdr_color',               
                'peccular_banner_title_color',       
                'peccular_banner_btntext_color',                
                'peccular_banner_titlehover_color',               
                'peccular_banner_btnbg1_color',
                'peccular_banner_btnbg2_color',
                'peccular_banner_btntxhover_color',
                'peccular_banner_btnbghover_color',
                'peccular_banner_bxcorner1_color',
                'peccular_banner_bxcorner2_color'
            ),
         ),

          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_banner_padding',
                'peccular_banner_top_padding',
                'peccular_banner_bottom_padding',
                'peccular_banner_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_banner_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_banner_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_banner_section'
)));

$wp_customize->add_setting('peccular_banner_npp_count_heading',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_banner_npp_count_heading',
        array(
            'settings'      => 'peccular_banner_npp_count_heading',
            'section'       => 'peccular_banner_section',
            'label'         => __( 'Number of banner to show', 'peccular' ),
        )
    )
);    
$wp_customize->add_setting('peccular_banner_npp_count',
    array('sanitize_callback' => 'peccular_sanitize_text','default' => 1));
$wp_customize->add_control(
    'peccular_banner_npp_count',
    array(
        'settings'      => 'peccular_banner_npp_count',
        'section'       => 'peccular_banner_section',
        'type'          => 'select',
        'label'         => __( 'Number of banner to show', 'peccular' ),
        'choices'=>array(1,2,3,4)
    )
);

//banner PAGES
for( $i = 1; $i <= 4; $i++ ){

    $wp_customize->add_setting(
        'peccular_banner_page'.$i,
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_banner_page'.$i,
            array(
                'settings'      => 'peccular_banner_page'.$i,
                'section'       => 'peccular_banner_section',
                'label'         => __( 'Banner Page ', 'peccular-premium' ).$i
            )
        )
    );

$wp_customize->add_setting( 'peccular_banner_image'.$i,
 array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( 
        new WP_Customize_Image_Control( 
        $wp_customize, 
        'peccular_banner_image'.$i, 
        array(
        'settings'      => 'peccular_banner_image'.$i,
        'label' => __('Banner Image','peccular'),
       'section' => 'peccular_banner_section',
    )));
    
    $wp_customize->add_setting(
        'peccular_bannerimg_note'.$i, 
        array(
            'sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_bannerimg_note'.$i,
        array(
            'settings'      => 'peccular_bannerimg_note'.$i,
            'section'       => 'peccular_banner_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Take Second Image size 208px x 214px  ', 'peccular Premium' ),
        )
    )
);

lzAddElement($wp_customize, 'peccular_banner_title_'.$i, 'peccular_banner_section', $type = 'text', $label="Title", $callback ='peccular_sanitize_text', $default='Any Design For Your Feast Day');


}

$wp_customize->add_setting(
        'peccular_banner_button_text1',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default' => __( 'Make Order Now', 'peccular' )
        )
    );
    $wp_customize->add_control(
            'peccular_banner_button_text1',
            array(
                'settings' => 'peccular_banner_button_text1',
                'section' => 'peccular_banner_section',
                'type' => 'text',
                'label' => __( 'Button Text', 'peccular' ),
            )
        );


    $wp_customize->add_setting('peccular_banner_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_banner_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_banner_section'
   ));

    $wp_customize->add_setting('peccular_banner_top_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_banner_top_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_banner_section',
    ));
     $wp_customize->add_setting('peccular_banner_bottom_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_banner_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_banner_section',
    ));

$wp_customize->add_setting( 'peccular_banner_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_banner_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_banner_section',
    )));

 $wp_customize->add_setting( 'peccular_banner_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_banner_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_banner_section',
    )));
   
    $wp_customize->add_setting('peccular_banner_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_banner_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_banner_section',
    ));

     $wp_customize->add_setting('peccular_banner_title_case',array(
        'default' => 'Capitalize',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_banner_title_case',array(
        'type' => 'select',
        'label' => __('banner Title Case','peccular'),
        'choices' => array (
            'Uppercase' => __('Uppercase','peccular'),
            'Lowercase' => __('Lowercase','peccular'),
            'Capitalize' => __('Capitalize','peccular'),
            'None' => __('None','peccular')
        ),
        'section' => 'peccular_banner_section',
    ));

  
    $wp_customize->add_setting('peccular_banner_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_banner_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_banner_section',
    ));

addColorPalatOption($wp_customize, 'peccular_banner_box1_color', 'peccular_banner_section', 'Box 1 BG Color', '');

addColorPalatOption($wp_customize, 'peccular_banner_box2_color', 'peccular_banner_section', 'Box 2 BG Color', '');

addColorPalatOption($wp_customize, 'peccular_banner_imgbrdr_color', 'peccular_banner_section', 'Image Border Color', '');
addColorPalatOption($wp_customize, 'peccular_banner_title_color', 'peccular_banner_section', 'Banner Title Color', '');

addColorPalatOption($wp_customize, 'peccular_banner_titlehover_color', 'peccular_banner_section', 'Banner Title Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_banner_btntext_color', 'peccular_banner_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_banner_btnbg1_color', 'peccular_banner_section', 'Button 1 BG Color', '');
addColorPalatOption($wp_customize, 'peccular_banner_btnbg2_color', 'peccular_banner_section', 'Button 2 BG Color', '');

addColorPalatOption($wp_customize, 'peccular_banner_btntxhover_color', 'peccular_banner_section', 'Button Text Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_banner_btnbghover_color', 'peccular_banner_section', 'Button BG Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_banner_bxcorner1_color', 'peccular_banner_section', 'Box 1 Corner BG Color', '');
addColorPalatOption($wp_customize, 'peccular_banner_bxcorner2_color', 'peccular_banner_section', 'Box 2 Corner BG Color', '');
?>