<?php
/**
 * Createing a bog pannel for customizer
 *
 *
 */
$categories = get_categories(array('hide_empty' => 0));
foreach ($categories as $category) {
	$cat[$category->term_id] = $category->cat_name;
}
/****************************/
// START BLOG SECTION FOR HOME PAGE
/*============BLOG PANEL============*/
$wp_customize->add_section(
	'peccular_blog_section',
	array(
		'title' => __( 'Blog Posts', 'peccular-premium' ),
		'panel' => 'peccular_premium_home_panel1',
     	'priority' =>28
	)
);

$wp_customize->add_setting('peccular_blog_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_blog_nav', array(
       'section' => 'peccular_blog_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_blog_enable', 
                'peccular_blog_maintitle',                
                'blog_post_count',
                'blog_cat_exclude'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(     
                'peccular_blog_section_bg_color',
                'peccular_blog_section_bg_image',
                'peccular_blog_image_opacity',               
                'peccular_blog_box_onload_effects',
                'peccular_blog_head_align',
                'peccular_blog_content_align',
                'peccular_blog_heading_color1',                
                'peccular_blog_bheadingbrdr1_color',
                'peccular_blog_bheadingbrdr2_color',                
                'peccular_blog_title_color',
                'peccular_blog_text_color',
                'peccular_blog_commentdatetext_color',
                'peccular_blog_commenticon_color',                
                'peccular_blog_datebg_color1',              
                'peccular_blog_boxbg_color',
                'peccular_blog_titlehv_color',
                'peccular_blog_dateicon_color',
                'peccular_blog_btnbg_color',
                'peccular_blog_btntext_color',
                'peccular_blog_btnhvbg_color'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(                
                'peccular_blog_padding',
                'peccular_blog_section_t_padding',
                'peccular_blog_section_b_padding',
                'peccular_blog_section_width',
                'peccular_blog_post_image_height',
                'peccular_blog_post_excerpt'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_blog_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_blog_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_blog_section'
)));

$wp_customize->add_setting(
    'peccular_blog_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Recent Post', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_blog_maintitle',
    array(
        'settings'      => 'peccular_blog_maintitle',
        'section'       => 'peccular_blog_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'peccular' )
    )
);

//BLOG SETTINGS
$wp_customize->add_setting(
    'blog_post_count',
    array(
        'default'           => '3',
        'sanitize_callback' => 'peccular_sanitize_choices'
    )
);
$wp_customize->add_control(
    new peccular_Dropdown_Chooser(
        $wp_customize,
        'blog_post_count',
        array(
            'settings'      => 'blog_post_count',
            'section'       => 'peccular_blog_section',
            'label'         => __( 'Number of Posts To Show', 'peccular-premium' ),
            'choices'       => $peccular_post_count_choice
        )
    )
);
$wp_customize->add_setting(
    'blog_cat_exclude',
    array(
        'sanitize_callback' => 'peccular_sanitize_text'
    )
);
$wp_customize->add_control(
    new peccular_Customize_Checkbox_Multiple(
        $wp_customize,
        'blog_cat_exclude',
        array(
            'label' => __('Exclude Category From Blog Posts', 'peccular-premium'),
            'section' => 'peccular_blog_section',
            'settings' => 'blog_cat_exclude',
            'choices' => $peccular_cat
        )
    )
);

// CREATING A BLOG SECTION IN CUSTOMIZER FOR BLOG PAGES
$wp_customize->add_section(
    'premium_blog_area',
    array(
        'title' => __( 'Blog Page Settings', 'peccular-premium' ),
        // 'panel' => 'peccular_premium_home_panel'
        'priority' =>19
    )
);

$wp_customize->add_setting('blog_categories_settings', array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control('blog_categories_settings', array(
    'settings' => 'blog_categories_settings',
    'label'    => __('Posts on Blog Page', 'peccular-premium'),
    'section'  => 'lpremium_blog_area',
    'type'     => 'radio',
    'choices'  => array(
        '0' => __('Excerpts','peccular-premium'),
        '1' => __('Full Posts','peccular-premium'),
    ),
));
// ADDING THE CATEGORY TO SELECT
$wp_customize->add_setting('blog_categories', array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Checkbox_Multiple(
        $wp_customize,
        'blog_categories',
        array(
            'label' => __('Exclude Category from Blog Posts', 'peccular-premium'),
            'section' => 'premium_blog_area',
            'settings' => 'blog_categories',
            'choices' => $cat
        )
    )
);

// backgroundManager($wp_customize, 'blog', 'peccular_blog_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting( 'peccular_blog_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_blog_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_blog_section',
    )));

    $wp_customize->add_setting( 'peccular_blog_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_blog_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_blog_section',
    )));

     $wp_customize->add_setting('peccular_blog_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_blog_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_blog_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

    $wp_customize->add_setting('peccular_blog_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_blog_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_blog_section',
    ));

 $wp_customize->add_setting('peccular_blog_head_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_blog_head_align',array(
        'type' => 'select',
        'label' => __('Section Heading Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_blog_section',
    ));

    $wp_customize->add_setting('peccular_blog_content_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_blog_content_align',array(
        'type' => 'select',
        'label' => __('Content Box Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_blog_section',
    ));

 $wp_customize->add_setting('peccular_blog_post_image_height',array(
        'default' => 270,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_blog_post_image_height',array(
    'label' => __('Image Height','peccular'),
    'section' => 'peccular_blog_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 500,
            'step' => 1,
        ),
    )));

 $wp_customize->add_setting('peccular_blog_post_excerpt',array(
        'default' => 36,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_blog_post_excerpt',array(
    'label' => __('Excerpt Length','peccular'),
    'section' => 'peccular_blog_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 100,
            'step' => 1,
        ),
    )));

$wp_customize->add_setting('peccular_blog_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_blog_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_blog_section'
   ));

  $wp_customize->add_setting('peccular_blog_section_t_padding',array(
        'default' => '7',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_blog_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_blog_section',
    ));
     $wp_customize->add_setting('peccular_blog_section_b_padding',array(
        'default' => '5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_blog_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_blog_section',
    ));

    $wp_customize->add_setting('peccular_blog_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_blog_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_blog_section',
    ));

addColorPalatOption($wp_customize, 'peccular_blog_heading_color1', 'peccular_blog_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_blog_bheadingbrdr1_color', 'peccular_blog_section', 'Section Heading Border 1 Color', '');
addColorPalatOption($wp_customize, 'peccular_blog_bheadingbrdr2_color', 'peccular_blog_section', 'Section Heading Border 2 Color', '');

addColorPalatOption($wp_customize, 'peccular_blog_boxbg_color', 'peccular_blog_section', 'Box BG Color ', '');

addColorPalatOption($wp_customize, 'peccular_blog_title_color', 'peccular_blog_section', 'Title Color', '');

addColorPalatOption($wp_customize, 'peccular_blog_titlehv_color', 'peccular_blog_section', 'Title Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_blog_text_color', 'peccular_blog_section', 'Text Color', '');

addColorPalatOption($wp_customize, 'peccular_blog_commentdatetext_color', 'peccular_blog_section', 'Date & Comment Text Color', '');
addColorPalatOption($wp_customize, 'peccular_blog_commenticon_color', 'peccular_blog_section', 'Comment Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_blog_dateicon_color', 'peccular_blog_section', 'Date Icon Color ', '');
addColorPalatOption($wp_customize, 'peccular_blog_btnbg_color', 'peccular_blog_section', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_blog_btntext_color', 'peccular_blog_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_blog_btnhvbg_color', 'peccular_blog_section', 'Button Hover BG Color', '');
?>