<?php  
//$peccularSliderSingleChoice = getpeccularPostsType('slider');
$wp_customize->add_section(
    'peccular_slider_section',
    array(
        'title' => __( 'Slider', 'peccular' ),
        'panel' => 'peccular_premium_home_panel1',
        'priority' =>18
    )
); 
   
$wp_customize->add_setting('peccular_slider_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));
  
    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_slider_nav', array(
       'section' => 'peccular_slider_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'slider_section_show_content',
                'supermarketecommercestore_sr_image',
                'peccular_popular_cattitle',
                'supermarketecommercestore_sliderighttitle',
                'peccular_sliderightspantitle',
                'peccular_sliderightaboveoffText',
                'peccular_sliderightaboveoffText2',
                'peccular_rightBelowImage_image1',
                // 'peccular_rightBelowImage_image2',
                // 'peccular_rightBelowImage_image3',
                'peccular_sliderightbelowbotitle',
                'category_head',
                'category1',
                'category2',
                'category3',
                'category4',
                'category5',
                'category6'
               
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_slider_titleSpanMain_color',
                 'peccular_slider_titleSpanMainBG_color',
                'peccular_slider_titleSpanMainBorder_color',
                'peccular_slider_rightTopbannerShapeBorder_color',
                'peccular_slider_rightTopBoxtext1_color',
                'peccular_slider_rightTopbannerShapeBG_color',
                'peccular_slider_rightTopBoxBG_color1',
                'peccular_slider_rightTopBoxBG_color2',
                'peccular_slider_rightTopBoxtext2_color',
                'peccular_slider_rightTopBoxtext2BG_color',
                'peccular_slider_rightTopheading_color',
                'peccular_slider_belowTitle_color', 
                'peccular_slider_belowTitleBG_color',
                'peccular_slider_buttontext_color1',                
                'peccular_slider_buttonbg_color1',
                'peccular_slider_buttontxthv_color1',
                'peccular_slider_buttonbghov_color1', 
                'peccular_slider_buttonbghov_color2',              
                'peccular_slider_indicatoricon_color',
                'peccular_slider_indicatoriconBG_color',
                'peccular_slider_indicatoriconHover_color',
                'peccular_slider_indicatoriconHoverBG_color',
                'peccular_slider_bgall_color',
                'peccular_categoriesColor_lbl',
                'peccular_slider_catTitle_color',
                'peccular_slider_catBG_color',
                'peccular_slider_cateText_color',
                'peccular_slider_cateTextHover_color',
                'peccular_slider_cateTextHover_color',
                'peccular_slider_cateBoxbG_color',
                'peccular_sliderColor_lbl',
                'peccular_slider_sliderbxtitle_color',
                'peccular_slider_sliderbxtext_color',
                'peccular_middlecategoriesColor_lbl',
                'peccular_slider_cateMiddleBG_color',
                'peccular_slider_cateMiddletext_color',
                'peccular_slider_cateMiddletextHover_color',
                'peccular_rightSideColor_lbl'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_slider_section_width',
                'peccular_slider_padding',
                'peccular_slider_section_t_padding',
                'peccular_slider_section_b_padding'
            ),
         )
        ),
    )));

$wp_customize->add_setting(
    'slider_section_show_content',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
    )
);
$wp_customize->add_control(
    new peccular_Switch_Control(
        $wp_customize,
        'slider_section_show_content',
        array(
            'settings'      => 'slider_section_show_content',
            'section'       => 'peccular_slider_section',
            'label'         => __( 'Hide Title And Description On Slider', 'peccular' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'peccular' ),
                'off' => __( 'No', 'peccular' )
            ),
        )
    )
);

$wp_customize->add_setting(
    'peccular_popular_cattitle',
    array( 
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'All Categories', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_popular_cattitle',
    array(
        'settings'      => 'peccular_popular_cattitle',
        'section'       => 'peccular_slider_section', 
        'type'          => 'text',
        'label'         => __( 'Categories Title', 'peccular-premium' )
    )
);
// to show & hide Heading Image
// $wp_customize->add_setting( 'peccular_slider_contentBG_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_slider_contentBG_display', array( 'label' => 'Content Box BG Image Display', 'section' => 'peccular_slider_section', 'settings' => 'peccular_slider_contentBG_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Image', 'hide' => 'Hide Image', ), ) ); 

$wp_customize->add_setting(
    'supermarketecommercestore_sliderighttitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'FRUIT MARKET', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'supermarketecommercestore_sliderighttitle',
    array(
        'settings'      => 'supermarketecommercestore_sliderighttitle',
        'section'       => 'peccular_slider_section', 
        'type'          => 'text',
        'label'         => __( 'Right Box Title', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_sliderightspantitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'WELCOME TO', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_sliderightspantitle',
    array(
        'settings'      => 'peccular_sliderightspantitle',
        'section'       => 'peccular_slider_section', 
        'type'          => 'text',
        'label'         => __( 'Right Box Span Title', 'peccular-premium' )
    )
);

$wp_customize->add_setting( 'supermarketecommercestore_sr_image', array(
   'default' => '',
   'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'supermarketecommercestore_sr_image', array(
    'label' => __('Right Box Image','peccular'),
   'section' => 'peccular_slider_section',
)));

$wp_customize->add_setting(
    'peccular_sliderightaboveoffText',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '10% OFF', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_sliderightaboveoffText',
    array(
        'settings'      => 'peccular_sliderightaboveoffText',
        'section'       => 'peccular_slider_section', 
        'type'          => 'text',
        'label'         => __( 'Right Top Box Text 1', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_sliderightaboveoffText2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'SHOP NOW', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_sliderightaboveoffText2',
    array(
        'settings'      => 'peccular_sliderightaboveoffText2',
        'section'       => 'peccular_slider_section', 
        'type'          => 'text',
        'label'         => __( 'Right Top Box Text 2', 'peccular-premium' )
    )
);

$wp_customize->add_setting( 'peccular_rightBelowImage_image1', array(
   'default' => '',
   'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_rightBelowImage_image1', array(
    'label' => __('Right Below Box Image','peccular'),
   'section' => 'peccular_slider_section',
)));

// $wp_customize->add_setting( 'peccular_rightBelowImage_image2', array(
//    'default' => '',
//    'sanitize_callback' => 'esc_url_raw'
// ));
// $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_rightBelowImage_image2', array(
//     'label' => __('Right Below Box Image 2','peccular'),
//    'section' => 'peccular_slider_section',
// )));

// $wp_customize->add_setting( 'peccular_rightBelowImage_image3', array(
//    'default' => '',
//    'sanitize_callback' => 'esc_url_raw'
// ));
// $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_rightBelowImage_image3', array(
//     'label' => __('Right Below Box Image 3','peccular'),
//    'section' => 'peccular_slider_section',
// )));

$wp_customize->add_setting(
    'peccular_sliderightbelowbotitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'SHOP NOW', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_sliderightbelowbotitle',
    array(
        'settings'      => 'peccular_sliderightbelowbotitle',
        'section'       => 'peccular_slider_section', 
        'type'          => 'text',
        'label'         => __( 'Right Below Box Title', 'peccular-premium' )
    )
);


// Category Head
    $wp_customize->add_setting(
        'category_head',
        array(
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'peccular_sanitize_text',
            'priority'  => 1,
        )
    );

    $wp_customize->add_control(
    'category_head',
        array(
            'type' => 'hidden',
            'label' => __('Category','peccular'),
            'description'   => esc_html__( 'Select the Product category that will show above Slider Box.', 'peccular' ),
            'section' => 'peccular_slider_section',
        )
    );

    
    // category 1
    $wp_customize->add_setting( 'category1', array(
        'default'           => 0,
        'sanitize_callback' => 'wp_kses_post',
    ) );

    $wp_customize->add_control( new My_Dropdown_Category_Control( $wp_customize, 'category1', array(
        'section'       => 'peccular_slider_section',
        'label'         => esc_html__( 'Category 1', 'peccular' ),
    ) ) );

    // category 2
    $wp_customize->add_setting( 'category2', array(
        'default'           => 0,
        'sanitize_callback' => 'wp_kses_post',
    ) );

    $wp_customize->add_control( new My_Dropdown_Category_Control( $wp_customize, 'category2', array(
        'section'       => 'peccular_slider_section',
        'label'         => esc_html__( 'Category 2', 'peccular' ),
    ) ) );

    // category 3
    $wp_customize->add_setting( 'category3', array(
        'default'           => 0,
        'sanitize_callback' => 'wp_kses_post',
    ) );

    $wp_customize->add_control( new My_Dropdown_Category_Control( $wp_customize, 'category3', array(
        'section'       => 'peccular_slider_section',
        'label'         => esc_html__( 'Category 3', 'peccular' ),
    ) ) );

    // category 4
    $wp_customize->add_setting( 'category4', array(
        'default'           => 0,
        'sanitize_callback' => 'wp_kses_post',
    ) );

    $wp_customize->add_control( new My_Dropdown_Category_Control( $wp_customize, 'category4', array(
        'section'       => 'peccular_slider_section',
        'label'         => esc_html__( 'Category 4', 'peccular' ),
    ) ) );

    // category 5
    $wp_customize->add_setting( 'category5', array(
        'default'           => 0,
        'sanitize_callback' => 'wp_kses_post',
    ) );

    $wp_customize->add_control( new My_Dropdown_Category_Control( $wp_customize, 'category5', array(
        'section'       => 'peccular_slider_section',
        'label'         => esc_html__( 'Category 5', 'peccular' ),
    ) ) );

    // category 6
    $wp_customize->add_setting( 'category6', array(
        'default'           => 0,
        'sanitize_callback' => 'wp_kses_post',
    ) );

    $wp_customize->add_control( new My_Dropdown_Category_Control( $wp_customize, 'category6', array(
        'section'       => 'peccular_slider_section',
        'label'         => esc_html__( 'Category 6', 'peccular' ),
    ) ) );
  
    $wp_customize->add_setting('peccular_slider_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_slider_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_slider_section',
    ));

    $wp_customize->add_setting('peccular_slider_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_slider_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_slider_section'
   ));

    $wp_customize->add_setting('peccular_slider_section_t_padding',array(
        'default' => '5.5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_slider_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_slider_section',
    ));
     $wp_customize->add_setting('peccular_slider_section_b_padding',array(
        'default' => '1',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_slider_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_slider_section',
    ));

addColorPalatOption($wp_customize, 'peccular_slider_bgall_color', 'peccular_slider_section', 'Section BG Color', '');

$wp_customize->add_setting('peccular_categoriesColor_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_categoriesColor_lbl',
        array(
            'settings'      => 'peccular_categoriesColor_lbl',
            'section'       => 'peccular_slider_section',
            'label'         => __( 'Categories Box Colors', 'peccular' ),
        )
    )
); 
addColorPalatOption($wp_customize, 'peccular_slider_catTitle_color', 'peccular_slider_section', 'Categories Title Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_catBG_color', 'peccular_slider_section', 'Categories BG Color', '');

addColorPalatOption($wp_customize, 'peccular_slider_cateText_color', 'peccular_slider_section', 'Categories Title Color', '');

addColorPalatOption($wp_customize, 'peccular_slider_cateTextHover_color', 'peccular_slider_section', 'Categories Text Hover Color', '');


addColorPalatOption($wp_customize, 'peccular_slider_cateBoxbG_color', 'peccular_slider_section', 'Categories Box BG Color', '');

$wp_customize->add_setting('peccular_middlecategoriesColor_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_middlecategoriesColor_lbl',
        array(
            'settings'      => 'peccular_middlecategoriesColor_lbl',
            'section'       => 'peccular_slider_section',
            'label'         => __( 'Middle Categories Colors', 'peccular' ),
        )
    )
); 
addColorPalatOption($wp_customize, 'peccular_slider_cateMiddleBG_color', 'peccular_slider_section', 'Categories Box BG Color', '');

addColorPalatOption($wp_customize, 'peccular_slider_cateMiddletext_color', 'peccular_slider_section', 'Categories Text Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_cateMiddletextHover_color', 'peccular_slider_section', 'Categories Title Hover Color', '');

$wp_customize->add_setting('peccular_sliderColor_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_sliderColor_lbl',
        array(
            'settings'      => 'peccular_sliderColor_lbl',
            'section'       => 'peccular_slider_section',
            'label'         => __( 'Slider Box Colors', 'peccular' ),
        )
    )
); 

addColorPalatOption($wp_customize, 'peccular_slider_sliderbxtitle_color', 'peccular_slider_section', 'Title Color', '');

addColorPalatOption($wp_customize, 'peccular_slider_sliderbxtext_color', 'peccular_slider_section', 'Text Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_buttontext_color1', 'peccular_slider_section', ' Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_buttonbg_color1', 'peccular_slider_section', ' Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_buttontxthv_color1', 'peccular_slider_section', ' Button Hover Text Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_buttonbghov_color1', 'peccular_slider_section', ' Button Hover BG Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_indicatoricon_color', 'peccular_slider_section', 'Slider Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_indicatoriconBG_color', 'peccular_slider_section', 'Slider Icon BG Color', '');

addColorPalatOption($wp_customize, 'peccular_slider_indicatoriconHover_color', 'peccular_slider_section', 'Slider Hover Icon Color', '');

addColorPalatOption($wp_customize, 'peccular_slider_indicatoriconHoverBG_color', 'peccular_slider_section', 'Slider Icon Hover BG Color', '');

$wp_customize->add_setting('peccular_rightSideColor_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_rightSideColor_lbl',
        array(
            'settings'      => 'peccular_rightSideColor_lbl',
            'section'       => 'peccular_slider_section',
            'label'         => __( 'Right Side Colors', 'peccular' ),
        )
    )
); 
addColorPalatOption($wp_customize, 'peccular_slider_rightTopbannerShapeBorder_color', 'peccular_slider_section', 'Banner Shape Border Color', '');

addColorPalatOption($wp_customize, 'peccular_slider_rightTopBoxtext1_color', 'peccular_slider_section', 'Top Text 1 Color', '');

addColorPalatOption($wp_customize, 'peccular_slider_rightTopBoxBG_color1', 'peccular_slider_section', 'Top Text 1 BG Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_rightTopBoxBG_color2', 'peccular_slider_section', 'Top Text 1 BG Color', '');

addColorPalatOption($wp_customize, 'peccular_slider_rightTopBoxtext2_color', 'peccular_slider_section', 'Top Text 2 Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_rightTopBoxtext2BG_color', 'peccular_slider_section', 'Top Text 2 BG Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_titleSpanMain_color', 'peccular_slider_section', 'Title Span Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_titleSpanMainBG_color', 'peccular_slider_section', 'Title Span BG Color', '');

addColorPalatOption($wp_customize, 'peccular_slider_rightTopheading_color', 'peccular_slider_section', 'Title Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_belowTitle_color', 'peccular_slider_section', 'Below Title Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_belowTitleBG_color', 'peccular_slider_section', 'Below Title BG Color', '');
?>