<?php  
$wp_customize->add_section(
    'peccular_team_section',
    array(
        'title' => __( 'Team Members', 'peccular' ),
        'panel' => 'peccular_premium_home_panel1',
        'priority' =>28
    )
);
 
$wp_customize->add_setting('peccular_team_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_team_nav', array(
       'section' => 'peccular_team_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_team_enable', 
                'peccular_team_maintitle',
                'peccular_team_head_icon_enable',
                'peccular_team_head_icon',
                'peccular_team_subtitle',
                'peccular_team_area_lbl', 
                'peccular_team_section_lbl',  
                'peccular_team_npp_count',
                'peccular_team_heading1',
                'peccular_team_page1',
                'peccular_team_heading2',
                'peccular_team_page2',
                'peccular_team_heading3',
                'peccular_team_page3',
                'peccular_team_heading4',
                'peccular_team_page4',
                'peccular_team_heading5',
                'peccular_team_page5',
                'peccular_team_heading6',
                'peccular_team_page6',
                'peccular_team_heading7',
                'peccular_team_page7',
                'peccular_team_heading8',
                'peccular_team_page8',
                'peccular_team_heading9',
                'peccular_team_page9',
                'peccular_team_heading10',
                'peccular_team_page10',
                'peccular_team_heading11',
                'peccular_team_page11',
                'peccular_team_heading12',
                'peccular_team_page12'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                'peccular_team_section_bg_color',
                'peccular_team_section_bg_image',
                'peccular_team_image_opacity',                           
                'peccular_team_title_case',
                'peccular_team_head_align',
                'peccular_team_content_align',
                'peccular_team_onload_effects',
                'peccular_team_heading_color',
                'peccular_team_headingbrdr1_color',
                'peccular_team_headingbrdr2_color',              
                'peccular_team_title_color',
                'peccular_team_desg_color',                
                'peccular_team_boxbg15_color',
                'peccular_team_boxbg26_color',
                'peccular_team_boxbg37_color',
                'peccular_team_boxbg48_color',
                'peccular_team_shareic_color',
                'peccular_team_shareichov_color',
                'peccular_team_titlehov_color'            
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_team_padding',
                'peccular_team_section_t_padding',
                'peccular_team_section_b_padding',
                'peccular_team_section_width'
            ),
         )
        ),
    )));


$wp_customize->add_setting( 'peccular_team_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_team_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_team_section'
)));


$wp_customize->add_setting(
    'peccular_team_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Our Chef', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_team_maintitle',
    array(
        'settings'      => 'peccular_team_maintitle',
        'section'       => 'peccular_team_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'peccular' )
    )
);

$TeamSingleChoice[] = 'select';
if(!is_array($TeamSingleChoice)){
    $wp_customize->add_setting('peccular_team_area_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
        new peccular_Info_Text( 
            $wp_customize,
            'peccular_team_area_lbl',
            array(
                'settings'      => 'peccular_team_area_lbl',
                'section'       => 'peccular_team_section',
                'label'         => __( 'Note:', 'peccular Premium' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the team.</strong> <br/>Please add the team from "team menu" and then select Team to show information.', 'peccular Premium' ),
            )
        )
    );
}
$wp_customize->add_setting('peccular_team_section_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_team_section_lbl',
        array(
            'settings'      => 'peccular_team_section_lbl',
            'section'       => 'peccular_team_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Just place the shortcode "[TEAM]" in your page to list the team in a page ', 'peccular Premium' ),
        )
    )
);

$wp_customize->add_setting('peccular_team_npp_count',array('sanitize_callback' => 'peccular_sanitize_text','default' => 3));
$wp_customize->add_control(
    'peccular_team_npp_count',
    array(
        'settings'      => 'peccular_team_npp_count',
        'section'       => 'peccular_team_section',
        'type'          => 'select',
        'label'         => __( 'Number Of Client To Show', 'peccular-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

//team PAGES
for( $i = 1; $i<= 12; $i++ ){
    $wp_customize->add_setting(
        'peccular_team_heading'.$i,
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_team_heading'.$i,
            array(
                'settings'      => 'peccular_team_heading'.$i,
                'section'       => 'peccular_team_section',
                'label'         => __( 'Team ', 'peccular Premium' ).$i,
            )
        )
    );
    $wp_customize->add_setting(
        'peccular_team_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    );
    $wp_customize->add_control(
        'peccular_team_page'.$i,
        array(
            'settings'      => 'peccular_team_page'.$i,
            'section'       => 'peccular_team_section',
            'type'=> 'select',
            'label'         => __( 'Select Team', 'peccular Premium' ),
            'choices' => $TeamSingleChoice,
        )
    );
}

$wp_customize->add_setting( 'peccular_team_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_team_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_team_section',
    )));

    $wp_customize->add_setting( 'peccular_team_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_team_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_team_section',
    )));

     $wp_customize->add_setting('peccular_team_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_team_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_team_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));
    
    $wp_customize->add_setting('peccular_team_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_team_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_team_section',
    ));

    $wp_customize->add_setting('peccular_team_head_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_team_head_align',array(
        'type' => 'select',
        'label' => __('Section Heading Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_team_section',
    ));

      $wp_customize->add_setting('peccular_team_title_case',array(
        'default' => 'Capitalize',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_team_title_case',array(
        'type' => 'select',
        'label' => __('Team Title Case','peccular'),
        'choices' => array (
            'Uppercase' => __('Uppercase','peccular'),
            'Lowercase' => __('Lowercase','peccular'),
            'Capitalize' => __('Capitalize','peccular'),
            'None' => __('None','peccular')

        ),
        'section' => 'peccular_team_section',
    ));

    $wp_customize->add_setting('peccular_team_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_team_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_team_section'
   ));

    $wp_customize->add_setting('peccular_team_section_t_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_team_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_team_section',
    ));
     $wp_customize->add_setting('peccular_team_section_b_padding',array(
        'default' => '6',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_team_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_team_section',
    ));

$wp_customize->add_setting('peccular_team_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_team_onload_effects',array(
        'type' => 'select',
        'label' => __('Section Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_team_section',
    ));

addColorPalatOption($wp_customize, 'peccular_team_heading_color', 'peccular_team_section', 'Section Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_team_headingbrdr1_color', 'peccular_team_section', 'Section Heading Border 1 Color', '');
addColorPalatOption($wp_customize, 'peccular_team_headingbrdr2_color', 'peccular_team_section', 'Section Heading Border 2 Color', '');

addColorPalatOption($wp_customize, 'peccular_team_boxbg15_color', 'peccular_team_section', 'Team Box 1&5 BG Color', '');
addColorPalatOption($wp_customize, 'peccular_team_boxbg26_color', 'peccular_team_section', 'Team Box 2&6 BG Color', '');
addColorPalatOption($wp_customize, 'peccular_team_boxbg37_color', 'peccular_team_section', 'Team Box 3&7 BG Color', '');
addColorPalatOption($wp_customize, 'peccular_team_boxbg48_color', 'peccular_team_section', 'Team Box 4&8 BG Color', '');
addColorPalatOption($wp_customize, 'peccular_team_title_color', 'peccular_team_section', 'Title Color', '');
addColorPalatOption($wp_customize, 'peccular_team_titlehov_color', 'peccular_team_section', 'Title Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_team_desg_color', 'peccular_team_section', 'Designation Color', '');
addColorPalatOption($wp_customize, 'peccular_team_shareic_color', 'peccular_team_section', 'Share Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_team_shareichov_color', 'peccular_team_section', 'Share Icon Hover Color', '');
?>