<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );

  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test shop',
    'panel' => 'peccular_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_shop_page' , array(
        'title'    => __( 'Shop Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );
    
    $wp_customize->add_setting('peccular_shoppage_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_shoppage_nav', array(
       'section' => 'peccular_shop_page',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular__shoppage_layout',
                'shoppages_productfontsize'
            ),
            'active' => true,
         ),    
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array( 
            'peccular_shoppage_heading_color', 
            'peccular_shoppage_price2_color', 
            'peccular_shoppage_btntext_color', 
            'peccular_shoppage_btnbg_color', 
            'peccular_shoppage_sbtntx_color', 
            'peccular_shoppage_sbtnbg_color', 
            'peccular_shoppage_pgeheading_color',      
            'peccular_shoppage_pgeheadingbtmBrdr_color', 
            'peccular_shoppage_prodctsTopBrdr_color',     
            'peccular_shoppage_bx1btntext_color',
            'peccular_shoppage_btnbghov_color',
            'peccular_shoppage_bxbtnhovtext_color'
            ),
         )
        ),
    )));
 
//Shop page Layout
// $lzShopPageLayout = getShopPageLayout(true);

// $wp_customize->add_setting(
//    'peccular__shoppage_layout',
//    array(
//       'sanitize_callback'=> 'absint',
//       'default' => '3'
//    )
// );
// $wp_customize->add_control(
//    new peccular_Font_Chooser(
//       $wp_customize,
//       'peccular__shoppage_layout',
//       array(
//          'settings'=> 'peccular__shoppage_layout',
//          'section' => 'peccular_shop_page',
//          'label'=>__('Shop Sidebar Display', 'peccular Premium'),
//          'choices'=>$lzShopPageLayout
//       )
//    )
// );

    //Shop page Layout
$lzShopPageLayout = getShopPageLayout(true);

$wp_customize->add_setting(
   'peccular__shoppage_layout',
   array(
      'sanitize_callback'=> 'absint',
      'default' => '2'
   )
);
$wp_customize->add_control(
   new peccular_Font_Chooser(
      $wp_customize,
      'peccular__shoppage_layout',
      array(
         'settings'=> 'peccular__shoppage_layout',
         'section' => 'peccular_shop_page',
         'label'=>__('Shop Sidebar Display', 'peccular Premium'),
         'choices'=>$lzShopPageLayout
      )
   )
);

// $wp_customize->add_setting(
//     'shoppages_productfontsize',
//     array(
//         'sanitize_callback' => 'peccular_sanitize_text',
//         'default'           => __( '23px', 'peccular-premium' )
//     )
// );
// $wp_customize->add_control(
//     'shoppages_productfontsize',
//     array(
//         'settings'      => 'shoppages_productfontsize',
//         'section'       => 'peccular_shop_page',
//         'type'          => 'text',
//         'label'         => __( 'Product Title Font Size', 'peccular-premium' )
//     )
// );

addColorPalatOption($wp_customize, 'peccular_shoppage_pgeheading_color', 'peccular_shop_page', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_shoppage_pgeheadingbtmBrdr_color', 'peccular_shop_page', 'Heading Bottom Border Color', '');
addColorPalatOption($wp_customize, 'peccular_shoppage_prodctsTopBrdr_color', 'peccular_shop_page', 'Products top Border Color', '');
addColorPalatOption($wp_customize, 'peccular_shoppage_heading_color', 'peccular_shop_page', 'Product Title Color ', '');
addColorPalatOption($wp_customize, 'peccular_shoppage_price2_color', 'peccular_shop_page', 'Product Price Color', '');
addColorPalatOption($wp_customize, 'peccular_shoppage_bx1btntext_color', 'peccular_shop_page', 'Box Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_shoppage_btnbg_color', 'peccular_shop_page', 'Product Button BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_shoppage_bxbtnhovtext_color', 'peccular_shop_page', 'Product Button Hover Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_shoppage_btnbghov_color', 'peccular_shop_page', 'Product Button Hover BG Color ', '');
?>