<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );

  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_team_inner_pages' , array(
        'title'    => __( 'Team Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );

    $wp_customize->add_setting('peccular_teaminnerpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_teaminnerpages_nav', array(
       'section' => 'peccular_team_inner_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'team_featured_img_on_off',
                'peccular_teaminnerpage_post_image_height',                                
                'team_socials_on_off'
            ),
            'active' => true,
         ),          
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                'peccular_teaminnpage_nametitle_color',
                'peccular_teaminnpage_desig_color',
                'peccular_teaminnpage_overlay_color',
                'peccular_teaminnpage_socialbg_color',
                'peccular_teaminnpage_socialicon_color',
                'peccular_teaminnpage_socialiconhv_color'
            ),
         )
        ),
    )));

$wp_customize->add_setting('peccular_teaminnerpage_post_image_height',array(
        'default' => 427,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_teaminnerpage_post_image_height',array(
    'label' => __('Feature Image Height','peccular'),
    'section' => 'peccular_team_inner_pages',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1000,
            'step' => 1,
        ),
    )));

$wp_customize->add_setting(
    'team_socials_on_off',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
    )
);
$wp_customize->add_control(
    new peccular_Switch_Control(
        $wp_customize,
        'team_socials_on_off',
        array(
            'settings'      => 'team_socials_on_off',
            'section'       => 'peccular_team_inner_pages',
            'label'         => __( 'Socials Icon On/Off', 'peccular-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'peccular-premium' ),
                'off' => __( 'No', 'peccular-premium' )
            ),
        )
    )
);

addColorPalatOption($wp_customize, 'peccular_teaminnpage_nametitle_color', 'peccular_team_inner_pages', 'Name Title Color', '');
addColorPalatOption($wp_customize, 'peccular_teaminnpage_desig_color', 'peccular_team_inner_pages', 'Designation Color', '');
addColorPalatOption($wp_customize, 'peccular_teaminnpage_overlay_color', 'peccular_team_inner_pages', 'Overlay Color', '');
addColorPalatOption($wp_customize, 'peccular_teaminnpage_socialbg_color', 'peccular_team_inner_pages', 'Social Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_teaminnpage_socialicon_color', 'peccular_team_inner_pages', 'Social Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_teaminnpage_socialiconhv_color', 'peccular_team_inner_pages', 'Social Icon Hover Color', '');
?>