<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );

  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Testimonial Inner page',
    'panel' => 'peccular_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_testimonial_inner_pages' , array(
        'title'    => __( 'Testimonial Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) ); 

$wp_customize->add_setting('peccular_testimonialinnerpage_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_testimonialinnerpage_nav', array(
       'section' => 'peccular_testimonial_inner_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'testimonial_featured_img_on_off',
                'testimonial_page_excerpt_display',
                'peccular_TestimonialInn_maintitle',
                'peccular_TestimonialInn_Text'
            ),
            'active' => true,
         ),          
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                'peccular_testimonialpage_box_color',
                'peccular_testimonialpageHeading_color',
                'peccular_testimonialpagedescrption_color',
                'peccular_testimonialpage_title_color',
                'peccular_testimonialpage_titlehover_color',
                'peccular_testimonialpage_desig_color',
                'peccular_testimonialpage_text_color',
                'peccular_testimonialpage_icon_color',
                'peccular_testimonialpage_boxBorder_color',
                'peccular_testimonialpage_titleLftBrdr_color',
                'peccular_testimonialpage_imagehvborder_color'
            ),
         )
        ),
    )));

$wp_customize->add_setting(
    'testimonial_featured_img_on_off',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
    )
);
$wp_customize->add_control(
    new peccular_Switch_Control(
        $wp_customize,
        'testimonial_featured_img_on_off',
        array(
            'settings'      => 'testimonial_featured_img_on_off',
            'section'       => 'peccular_testimonial_inner_pages',
            'label'         => __( 'Show Thumbnail Image', 'peccular-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'peccular-premium' ),
                'off' => __( 'No', 'peccular-premium' )
            ),
        )
    )
);

     $wp_customize->add_setting('testimonial_page_excerpt_display',array(
      'default' => true,
      'sanitize_callback'   => 'peccular_sanitize_checkbox'
   ));
   $wp_customize->add_control('testimonial_page_excerpt_display',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Excerpt','peccular'),
      'section' => 'peccular_testimonial_inner_pages'
   ));

   $wp_customize->add_setting(
    'peccular_TestimonialInn_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'The Testimonial That Counts !', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_TestimonialInn_maintitle',
    array(
        'settings'      => 'peccular_TestimonialInn_maintitle',
        'section'       => 'peccular_testimonial_inner_pages', 
        'type'          => 'text',
        'label'         => __( 'Heading', 'peccular' )
    )
);

   $wp_customize->add_setting(
    'peccular_TestimonialInn_Text',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_TestimonialInn_Text',
    array(
        'settings'      => 'peccular_TestimonialInn_Text',
        'section'       => 'peccular_testimonial_inner_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Text', 'peccular' )
    )
);
addColorPalatOption($wp_customize, 'peccular_testimonialpageHeading_color', 'peccular_testimonial_inner_pages', 'Testimonial Heading Color', '');

addColorPalatOption($wp_customize, 'peccular_testimonialpagedescrption_color', 'peccular_testimonial_inner_pages', 'Testimonial Text Color', '');

addColorPalatOption($wp_customize, 'peccular_testimonialpage_box_color', 'peccular_testimonial_inner_pages', 'Testimonial Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_testimonialpage_boxBorder_color', 'peccular_testimonial_inner_pages', 'Testimonial Box Border Color', '');

addColorPalatOption($wp_customize, 'peccular_testimonialpage_title_color', 'peccular_testimonial_inner_pages', 'Title Color', '');
addColorPalatOption($wp_customize, 'peccular_testimonialpage_titlehover_color', 'peccular_testimonial_inner_pages', 'Title Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_testimonialpage_desig_color', 'peccular_testimonial_inner_pages', 'Designation Color', '');
addColorPalatOption($wp_customize, 'peccular_testimonialpage_titleLftBrdr_color', 'peccular_testimonial_inner_pages', 'Title Left Border Color', '');
addColorPalatOption($wp_customize, 'peccular_testimonialpage_text_color', 'peccular_testimonial_inner_pages', 'Text Color', '');
addColorPalatOption($wp_customize, 'peccular_testimonialpage_icon_color', 'peccular_testimonial_inner_pages', 'Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_testimonialpage_imagehvborder_color', 'peccular_testimonial_inner_pages', 'Image Border Hover Color', '');
?>